/*
 * defs.h
 * Created by M.Miyazaki [2013.01.01]
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "typedefDictionary.h"
#include "base64Utility.h"
#include "indentDifference.h"

#define TRUE	1
#define FALSE	0

extern char *yytext;

int main(void);
int yylex(void);
int yyparse(void);
void yyerror(const char*);

/**
 * Variables for metrics
 */
extern int debugMode;
extern int effectiveLOC;
extern int isEffectiveLine;
extern int physicalLOC;
extern int logicalLOC;
extern int commentLines;
extern int numberOfFunctions;
extern double averageLengthOfId;
extern int numberOfId;
extern int sumOfIdLength;
extern double indentDifference;
extern int indentSpaces;
extern int indentTabs;
extern int indentLevel;
extern int isInIndent;
extern int tabSpaces;

extern double commentRatio;

/**
 * Function prototypes
 */
void initializeMetricsVariables(void);
void actionOnParseError(void);
void actionOnParseSuccess(void);
void printMetricsResult(void);

void preprocessor_line(void);
void comment(void);
void newLine(void);
void effectiveToken(void);
void space(void);
void token(void);
void braceOrParen(void);
