<?php
#
# IdLength2SpaghettiName - Metrics for SynapseScript
#  Created by M.Miyazaki [2013.01.04]
#  Modified by M.Miyazaki [2013.01.06]
#  Modified by M.Miyazaki [2013.01.08]
#

#-------------
# Preparation
#-------------
$lines = file("php://stdin");
$lines = implode("", $lines);
$idLength = doubleval($lines);
$spaghettiId = spaghettiIdFromIdLength($idLength);
$currentDirectory = $_SERVER['PWD'];

$spaghettiName  = spaghettiName($spaghettiId);
$spaghettiImage = spaghettiImage($spaghettiId);

$spaghettiName  = base64_encode($spaghettiName);
$spaghettiImage = base64_encode($currentDirectory . "/" . $spaghettiImage);


#--------
# Output
#--------
printf("{\"spaghettiName\" : \"%s\", \"spaghettiImage\" : \"%s\"}\n", $spaghettiName, $spaghettiImage);


#-----------
# Functions
#-----------

/**
 * Return a spaghetti id (kind of spaghetti) from average length of identifier.
 */
function spaghettiIdFromIdLength($idLength)
{
	$spaghettiId = "";
	
	if ($idLength < 1)       { $spaghettiId = "spaghetti0"; }
	else if ($idLength <  3) { $spaghettiId = "spaghetti1"; }
	else if ($idLength <  5) { $spaghettiId = "spaghetti2"; }
	else if ($idLength < 10) { $spaghettiId = "spaghetti3"; }
	else if ($idLength < 20) { $spaghettiId = "spaghetti4"; }
	else                     { $spaghettiId = "spaghetti5"; }
	
	return $spaghettiId;
}

/**
 * Return a spaghetti name.
 */
function spaghettiName($spaghettiId = "")
{
	$spaghettiName = "";
	
	$spaghettiArray = array(
		"spaghetti0" => "？？？",
		"spaghetti1" => "スパＡ",
		"spaghetti2" => "トマトスパ",
		"spaghetti3" => "トマトソースのスパゲッティ",
		"spaghetti4" => "有機栽培トマトのこだわりスパゲッティ",
		"spaghetti5" => "賀茂茄子と香草のスパゲッティ　アンデス風　サルサ・ディ・ポモドーロを添えて"
	);
	
	if (array_key_exists($spaghettiId, $spaghettiArray))
	{
		$spaghettiName = $spaghettiArray[$spaghettiId];
	}
	else
	{
		$spaghettiName = $spaghettiArray['spaghetti0'];
	}
	
	return $spaghettiName;
}

/**
 * Return a spaghetti image file name.
 */
function spaghettiImage($spaghettiId = "")
{
	$spaghettiImage = "";
	
	$spaghettiArray = array(
		"spaghetti0" => "Resources/spaghetti0.jpg",
		"spaghetti1" => "Resources/spaghetti1.jpg",
		"spaghetti2" => "Resources/spaghetti2.jpg",
		"spaghetti3" => "Resources/spaghetti3.jpg",
		"spaghetti4" => "Resources/spaghetti4.jpg",
		"spaghetti5" => "Resources/spaghetti5.jpg"
	);
	
	if (array_key_exists($spaghettiId, $spaghettiArray))
	{
		$spaghettiImage = $spaghettiArray[$spaghettiId];
	}
	else
	{
		$spaghettiImage = $spaghettiArray['spaghetti0'];
	}
	
	return $spaghettiImage;
}

?>