#!/bin/sh
#
# LinesPerFunction2WaitTime - Metrics for SynapseScript
#  Created by M.Miyazaki [2013.01.04]
#  Modified by M.Miyazaki [2013.01.08]
#


#----------
# Settings
#----------

# Passage points of mapping function.
Coordinates=`cat <<EOT
	30		0
	100		30
	200		200
	500		1440
EOT`

#----------

if [ "`printf 'hoge' | base64 --wrap=0 2>/dev/null | base64 -d 2>/dev/null`" = "hoge" ]
then
	alias encodeBase64='base64 --wrap=0'
	alias decodeBase64='base64 --decode'
	#alias decodeBase64='base64 -d'
else
	alias encodeBase64='base64 --break=0'
	alias decodeBase64='base64 --decode'
	#alias decodeBase64='base64 -D'
fi

InputString=`printf "%s" "${1}" | decodeBase64`
OutputString=`printf "%s" "${Coordinates}" | awk -f "./Scripts/LinesPerFunction2WaitTime.awk" linesPerFunction="${InputString}" | encodeBase64`

printf "{\"output\" : \"%s\"}\n" "${OutputString}"
