<?xml version="1.0"?>

<st-source>


<component-created>
<name>KSU</name> <type>bundle</type>
</component-created><!-- Bundle KSU* -->


<component-property>
<name>KSU</name> <type>bundle</type>
<property>disregardedPrerequisites</property> <value>#()</value>
</component-property>

<component-property>
<name>KSU</name> <type>bundle</type>
<property>comment</property> <value>'Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.'</value>
</component-property>

<component-created>
<name>KSU-System</name> <type>package</type>
</component-created><!-- Package KSU-System* -->


<component-property>
<name>KSU-System</name> <type>package</type>
<property>disregardedPrerequisites</property> <value>#()</value>
</component-property>

<component-property>
<name>KSU-System</name> <type>package</type>
<property>comment</property> <value>'Copyright 2008-2011 KSU (Kyoto Sangyo University). All Right Reserved.'</value>
</component-property>

<name-space>
<name>KSU</name>
<environment>Smalltalk</environment>
<private>false</private>
<imports>
			private Smalltalk.*
			private Smalltalk.Jun.*
			</imports>
<category>KSU-System</category>
<attributes>
<package>KSU-System</package>
</attributes>
</name-space>

<comment>
<name-space-id>KSU</name-space-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.</body>
</comment>

<class>
<name>ProgramManager</name>
<environment>KSU</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>KSU-System</category>
<attributes>
<package>KSU-System</package>
</attributes>
</class>

<comment>
<class-id>KSU.ProgramManager</class-id>
<body>Copyright 2008-2011 KSU (Kyoto Sangyo University). All Right Reserved.</body>
</comment>

<methods>
<class-id>KSU.ProgramManager class</class-id> <category>accessing</category>

<body package="KSU-System" selector="implementedMethods">implementedMethods
	"KSU.ProgramManager implementedMethods."

	| aCollection |
	aCollection := OrderedCollection new.
	self classes do: 
			[:aClass |
			aClass selectors do: [:aSymbol | aCollection add: aClass -&gt; aSymbol].
			aClass class selectors do: [:aSymbol | aCollection add: aClass class -&gt; aSymbol]].
	^aCollection</body>

<body package="KSU-System" selector="bundles">bundles
	"KSU.ProgramManager bundles."

	^self bundle allItems select: [:each | each isBundle]</body>

<body package="KSU-System" selector="bundle">bundle
	"KSU.ProgramManager bundle."

	^Store.Registry bundleNamed: #KSU</body>

<body package="KSU-System" selector="classes">classes
	"KSU.ProgramManager classes."

	| aBundle |
	aBundle := self bundle.
	^aBundle allClasses collect: [:each | each actual]</body>

<body package="KSU-System" selector="namespace">namespace
	"KSU.ProgramManager namespace."

	| aNameSpace |
	aNameSpace := Smalltalk at: #KSU.
	(aNameSpace isKindOf: NameSpace) ifFalse: [^nil].
	^aNameSpace</body>

<body package="KSU-System" selector="packages">packages
	"KSU.ProgramManager packages."

	^self bundle allItems select: [:each | each isPackage]</body>
</methods>

<methods>
<class-id>KSU.ProgramManager class</class-id> <category>documents</category>

<body package="KSU-System" selector="doclet">doclet
	"KSU.ProgramManager doclet."

	| classCollection aDoclet toDirectory fromDirectory |
	classCollection := self classes.
	aDoclet := KSU.TextDoclet codePrint: classCollection.
	fromDirectory := aDoclet instVarAt: (aDoclet class allInstVarNames indexOf: 'toDirectory').
	toDirectory := fromDirectory directory construct: 'doclet'.
	toDirectory exists
		ifTrue: 
			[toDirectory directoryContents do: [:each | (toDirectory construct: each) delete].
			toDirectory delete].
	fromDirectory renameTo: toDirectory.
	JunURL browse: (toDirectory construct: 'index.html') asURI asString.
	^aDoclet</body>
</methods>

<methods>
<class-id>KSU.ProgramManager class</class-id> <category>metrics</category>

<body package="KSU-System" selector="linesOfCode">linesOfCode
	"KSU.ProgramManager linesOfCode inspect."

	| linesOfCode aString |
	linesOfCode := 0.
	self classes do: 
			[:aClass |
			aString := KSU.TextDoclet codePrintStringOf: aClass.
			linesOfCode := linesOfCode + (aString select: [:each | each = Character cr]) size].
	^linesOfCode</body>
</methods>

<methods>
<class-id>KSU.ProgramManager class</class-id> <category>private</category>

<body package="KSU-System" selector="writeClassInitializeOn:">writeClassInitializeOn: aFileManager

	(self classes select: [:aClass | aClass class selectors includes: #initialize]) do: 
			[:aClass |
			| aStream |
			aStream := aFileManager ensureOpen: aFileManager target.
			aStream cr.
			aStream cr.
			aStream nextPutAll: '&lt;initialize&gt;'.
			aStream
				cr;
				nextPutAll: '&lt;class-id&gt;';
				nextPutAll: aClass shortName;
				nextPutAll: '&lt;/class-id&gt;';
				cr.
			aStream nextPutAll: '&lt;/initialize&gt;']</body>

<body package="KSU-System" selector="makeBackups:forFilename:">makeBackups: howMany forFilename: aFilename

	(howMany to: 1 by: -1) do: 
			[:n |
			| anArray bakFilename |
			anArray := Filename splitExtension: aFilename asString.
			n &lt;= 1
				ifTrue: [bakFilename := aFilename]
				ifFalse: 
					[bakFilename := (anArray first , (n - 1) printString , aFilename extension)
								asFilename].
			bakFilename exists
				ifTrue: 
					[| oldFilename |
					oldFilename := (anArray first , n printString , aFilename extension)
								asFilename.
					bakFilename copyTo: oldFilename]]</body>

<body package="KSU-System" selector="writeTimeStampOn:">writeTimeStampOn: aFileManager

	| aStream |
	aStream := aFileManager ensureOpen: aFileManager target.
	aStream cr.
	aStream cr.
	aStream nextPutAll: '&lt;do-it&gt;'.
	aStream cr.
	JunSourceCodeSaver writeStampOn: aStream.
	aStream cr.
	aStream nextPutAll: '&lt;/do-it&gt;'</body>
</methods>

<methods>
<class-id>KSU.ProgramManager class</class-id> <category>comments</category>

<body package="KSU-System" selector="propagateComment">propagateComment
	"KSU.ProgramManager propagateComment."

	| aString |
	aString := self commentString.
	self classes do: [:aClass | aClass comment: aString].
	self bundle allItems do: [:each | each comment: aString].
	self namespace comment: aString</body>

<body package="KSU-System" selector="commentString">commentString
	"KSU.ProgramManager commentString."

	^'Copyright 2008-2011 KSU (Kyoto Sangyo University). All Right Reserved.'</body>
</methods>

<methods>
<class-id>KSU.ProgramManager class</class-id> <category>saving</category>

<body package="KSU-System" selector="save">save
	"KSU.ProgramManager save."

	| aBundle dateString timeString aDirectory aFilename aFileManager |
	aBundle := self bundle.
	dateString := JunCalendarModel stringFromDate select: [:each | each isDigit].
	timeString := JunCalendarModel stringFromTime select: [:each | each isDigit].
	aDirectory := Filename defaultDirectory directory.
	aFilename := aDirectory construct: 'KSU_' , dateString , '_' , timeString , '.st'.
	Cursor write showWhile: 
			[aFileManager := SourceCodeStream write: aFilename.
			[aBundle fileOutOn: aFileManager] ensure: [aFileManager close]]</body>

<body package="KSU-System" selector="save2">save2
	"KSU.ProgramManager save2."

	| aBundle dateString timeString aDirectory aFilename aFileManager |
	aBundle := self bundle.
	dateString := JunCalendarModel stringFromDate select: [:each | each isDigit].
	timeString := JunCalendarModel stringFromTime select: [:each | each isDigit].
	aDirectory := JunSystem homeDirectory construct: 'Desktop'.
	aFilename := aDirectory
				construct: 'KSU_' , dateString , '_' , timeString , '.st'.
	Cursor write showWhile: 
			[aFileManager := SourceCodeStream write: aFilename.
			[aBundle fileOutOn: aFileManager] ensure: [aFileManager close]]</body>
</methods>



<component-created>
<name>KSU-Example</name> <type>package</type>
</component-created><!-- Package KSU-Example* -->


<component-property>
<name>KSU-Example</name> <type>package</type>
<property>comment</property> <value>'Copyright 2008-2011 KSU (Kyoto Sangyo University). All Right Reserved.'</value>
</component-property>

<class>
<name>Sleeper</name>
<environment>KSU</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Example</package>
</attributes>
</class>

<comment>
<class-id>KSU.Sleeper</class-id>
<body>Copyright 2008-2012 KSU (Kyoto Sangyo University). All Right Reserved.
</body>
</comment>

<class>
<name>Example</name>
<environment>KSU</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars></inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Example</package>
</attributes>
</class>

<comment>
<class-id>KSU.Example</class-id>
<body>Copyright 2008-2011 KSU (Kyoto Sangyo University). All Right Reserved.</body>
</comment>

<methods>
<class-id>KSU.Example class</class-id> <category>examples</category>

<body package="KSU-Example" selector="example1">example1
	"Example example1."
	</body>
</methods>


<methods>
<class-id>KSU.Sleeper class</class-id> <category>examples</category>

<body package="KSU-Example" selector="example1">example1
	"KSU.Sleeper example1."

	| スリーパーさん |
	スリーパーさん := KSU.Sleeper new.
	スリーパーさん + 4.
	スリーパーさん add: 4.
	スリーパーさん 起きてください.
	スリーパーさん 寝てください.
	^スリーパーさん</body>
</methods>


<methods>
<class-id>KSU.Sleeper</class-id> <category>sleeping</category>

<body package="KSU-Example" selector="寝てください">寝てください

	Transcript
		nextPutAll: 'おやすみなさいzzz';
		cr;
		flush;
		yourself</body>
</methods>

<methods>
<class-id>KSU.Sleeper</class-id> <category>error handling</category>

<body package="KSU-Example" selector="doesNotUnderstand:">doesNotUnderstand: aMessage

	Transcript
		nextPutAll: '「' , aMessage selector asString , '」って何？';
		cr;
		flush</body>
</methods>



<component-created>
<name>KSU-Synapse</name> <type>package</type>
</component-created><!-- Package KSU-Synapse* -->


<component-property>
<name>KSU-Synapse</name> <type>package</type>
<property>comment</property> <value>'Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.'</value>
</component-property>

<class>
<name>SynapseScannerState</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>inputBlock isTerminal isUnknown symbol terminalSymbol </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseScannerState</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseParseTable</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>table selectorDictionary </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseParseTable</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseToken</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>tokenString tokenSymbol </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseToken</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.</body>
</comment>

<class>
<name>SynapseScannerTable</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>transitionTable </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseScannerTable</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseTokenStream</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>tokenCollection currentIndex </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseTokenStream</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseParseBlockTable</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>blockTable </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseParseBlockTable</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseParseTree</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>programGraph programNode </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseParseTree</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseNeuron</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>neuronType connectorDictionary inputPortDictionary actionBlock </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseNeuron</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseNeuralConnector</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>valueHistory dependentCollection </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseNeuralConnector</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseParseNode</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>nodeType token symbol subNodes </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseParseNode</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseScanner</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>scanStream tokenCollection transitionTable symbolCollection tokenCollectionWithSymbol </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseScanner</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.</body>
</comment>

<class>
<name>SynapseParseAction</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>actionType errorMessage nextState reductionSymbols nextSymbol </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseParseAction</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseInterpreter</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>variableDictionary evaluatedScripts currentScript currentProgramNode </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseInterpreter</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
</body>
</comment>

<class>
<name>SynapseParser</name>
<environment>Smalltalk</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>parseStream stateStack nodeStack parseTable programNode </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Synapse</package>
</attributes>
</class>

<comment>
<class-id>SynapseParser</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.</body>
</comment>

<methods>
<class-id>SynapseParseTree class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>

<body package="KSU-Synapse" selector="parseNode:">parseNode: aNode

	^(self new)
		parseNode: aNode;
		yourself</body>
</methods>

<methods>
<class-id>SynapseParseTree class</class-id> <category>examples</category>

<body package="KSU-Synapse" selector="example4">example4
	"KSU.SynapseParseTree example4."

	| aParser aNode aTree aGrapher aFilename |
	aParser := KSU.SynapseParser example1.
	aNode := aParser programNode.
	aTree := KSU.SynapseParseTree parseNode: aNode.
	aGrapher := (JunGrapher graph: aTree programGraph)
				arrangeGrapherForest;
				yourself.
	aFilename := (JunSystem homeDirectory construct: 'Desktop') construct: 'example4.jpg'.
	JunImageUtility writeImage: aGrapher graph asImage to: aFilename.
	^aGrapher</body>

<body package="KSU-Synapse" selector="example2">example2
	"KSU.SynapseParseTree example2."

	| aParser aNode aTree |
	aParser := KSU.SynapseParser example2.
	aNode := aParser programNode.
	aTree := KSU.SynapseParseTree parseNode: aNode.
	aTree show.
	^aTree</body>

<body package="KSU-Synapse" selector="example3">example3
	"KSU.SynapseParseTree example3."

	| aParser aNode aTree |
	aParser := KSU.SynapseParser example3.
	aNode := aParser programNode.
	aTree := KSU.SynapseParseTree parseNode: aNode.
	aTree show.
	^aTree</body>

<body package="KSU-Synapse" selector="example6">example6
	"KSU.SynapseParseTree example6."

	| aParser aNode aTree aGrapher aFilename |
	aParser := KSU.SynapseParser example3.
	aNode := aParser programNode.
	aTree := KSU.SynapseParseTree parseNode: aNode.
	aGrapher := (JunGrapher graph: aTree programGraph)
				arrangeGrapherForest;
				yourself.
	aFilename := (JunSystem homeDirectory construct: 'Desktop') construct: 'example4.jpg'.
	JunImageUtility writeImage: aGrapher graph asImage to: aFilename.
	^aGrapher</body>

<body package="KSU-Synapse" selector="example1">example1
	"KSU.SynapseParseTree example1."

	| aParser aNode aTree |
	aParser := KSU.SynapseParser example1.
	aNode := aParser programNode.
	aTree := KSU.SynapseParseTree parseNode: aNode.
	aTree show.
	^aTree</body>

<body package="KSU-Synapse" selector="example5">example5
	"KSU.SynapseParseTree example5."

	| aParser aNode aTree aGrapher aFilename |
	aParser := KSU.SynapseParser example2.
	aNode := aParser programNode.
	aTree := KSU.SynapseParseTree parseNode: aNode.
	aGrapher := (JunGrapher graph: aTree programGraph)
				arrangeGrapherForest;
				yourself.
	aFilename := (JunSystem homeDirectory construct: 'Desktop') construct: 'example4.jpg'.
	JunImageUtility writeImage: aGrapher graph asImage to: aFilename.
	^aGrapher</body>
</methods>


<methods>
<class-id>SynapseParseTree</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="programNode">programNode

	programNode ifNil: [^nil].
	^programNode</body>

<body package="KSU-Synapse" selector="programNode:">programNode: aNode

	programNode := aNode</body>

<body package="KSU-Synapse" selector="programGraph">programGraph

	programGraph ifNil: [programGraph := JunElementalGraph new].
	^programGraph</body>
</methods>

<methods>
<class-id>SynapseParseTree</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="defaultGraphClass">defaultGraphClass

	^JunElementalGraph</body>

<body package="KSU-Synapse" selector="defaultSaturation">defaultSaturation

	^0.15</body>

<body package="KSU-Synapse" selector="defaultBrightness">defaultBrightness

	^1</body>

<body package="KSU-Synapse" selector="defaultNodeClass">defaultNodeClass

	^JunElementalNode</body>
</methods>

<methods>
<class-id>SynapseParseTree</class-id> <category>private</category>

<body package="KSU-Synapse" selector="createGraphNode:withColor:">createGraphNode: aNode withColor: aColor

	| labelString graphNode |
	JunControlUtility
		assert: [String new writeStream]
		do: 
			[:aStream |
			aNode isLeafNode
				ifTrue: 
					[aStream
						nextPutAll: aNode token symbol printString;
						nextPutAll: ' ''';
						nextPutAll: aNode token string;
						nextPutAll: '''']
				ifFalse: [aStream nextPutAll: aNode symbol printString].
			labelString := aStream contents]
		ensure: [:aStream | aStream close].
	graphNode := self defaultNodeClass label: labelString.
	aColor ifNotNil: [graphNode backgroundColor: aColor].
	^graphNode</body>

<body package="KSU-Synapse" selector="createGraphNode:">createGraphNode: aNode

	| aColor |
	aNode isLeafNode
		ifTrue: 
			[aColor := ColorValue
						hue: 0 / 2
						saturation: self defaultSaturation
						brightness: self defaultBrightness]
		ifFalse: 
			[aColor := ColorValue
						hue: 1 / 2
						saturation: self defaultSaturation
						brightness: self defaultBrightness].
	^self createGraphNode: aNode withColor: aColor</body>
</methods>

<methods>
<class-id>SynapseParseTree</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="initialize">initialize

	programGraph := nil.
	programNode := nil</body>
</methods>

<methods>
<class-id>SynapseParseTree</class-id> <category>converting</category>

<body package="KSU-Synapse" selector="parseNode:">parseNode: rootNode

	| aBlock graphRootNode |
	aBlock :=
			[:aNode :graphNode |
			aNode subNodes do: 
					[:subNode |
					| graphSubNode |
					graphSubNode := self createGraphNode: subNode.
					self programGraph connect: graphNode with: graphSubNode.
					subNode isLeafNode ifFalse: [aBlock value: subNode value: graphSubNode]]].
	graphRootNode := self createGraphNode: rootNode.
	aBlock value: rootNode value: graphRootNode</body>
</methods>

<methods>
<class-id>SynapseParseTree</class-id> <category>viewing</category>

<body package="KSU-Synapse" selector="show">show

	| aGrapher |
	self programGraph ifNil: [^nil].
	aGrapher := (JunGrapher graph: self programGraph)
				arrangeGrapherForest;
				yourself.
	aGrapher openIn: (JunApplicationModel
				alignedRectangleWithScreenCenter: aGrapher boundingBox extent + 4 asPoint).
	aGrapher getWindow ifNotNil: [:aWindow | aWindow label: 'SynapseParseTree'].
	^aGrapher</body>
</methods>


<methods>
<class-id>SynapseNeuron class</class-id> <category>examples</category>

<body package="KSU-Synapse" selector="example1">example1
	"KSU.SynapseNeuron example1."

	^SynapseNeuron
		parseJSONObjectAsDictionary: '{
"京都府" : "京都市",
"大阪府" : "大阪市",
"北海道" : "札幌市",
"青森県" : "青森市"
}'</body>
</methods>

<methods>
<class-id>SynapseNeuron class</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="defaultEncoding">defaultEncoding

	^#UTF_8</body>

<body package="KSU-Synapse" selector="selectorDictionary">selectorDictionary

	^(Dictionary new)
		add: 'File' -&gt; #file:;
		add: 'Files' -&gt; #files:;
		add: 'Metrics' -&gt; #metrics:;
		add: 'Transcript' -&gt; #transcript:;
		add: 'Value' -&gt; #value:;
		add: 'Values' -&gt; #values:;
		yourself</body>

<body package="KSU-Synapse" selector="defaultArgumentNodeSymbol">defaultArgumentNodeSymbol

	^#Argument</body>

<body package="KSU-Synapse" selector="defaultInputPort">defaultInputPort

	^#input</body>

<body package="KSU-Synapse" selector="defaultOutputPort">defaultOutputPort

	^#output</body>
</methods>

<methods>
<class-id>SynapseNeuron class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>

<body package="KSU-Synapse" selector="fromConstructorNode:">fromConstructorNode: constructorNode

	| neuronName arguments neuralStemCell aSelector |
	neuronName := self neuronNameOf: constructorNode.
	arguments := self argumentsOf: constructorNode.
	aSelector := self selectorDictionary at: neuronName
				ifAbsent: [self error: 'Unexpected Constructor ''' , neuronName , '''.'].
	neuralStemCell := self new.
	(MessageSend
		receiver: neuralStemCell
		selector: aSelector
		arguments: (Array with: arguments)) evaluate.
	^neuralStemCell</body>
</methods>

<methods>
<class-id>SynapseNeuron class</class-id> <category>utilities</category>

<body package="KSU-Synapse" selector="escapeDoubleQuote:">escapeDoubleQuote: aString

	| aStream |
	aStream := String new writeStream.
	aString do: 
			[:aCharacter |
			aCharacter = $" ifTrue: [aStream nextPut: $\].
			aStream nextPut: aCharacter].
	^aStream contents</body>

<body package="KSU-Synapse" selector="separateBySpaces:">separateBySpaces: aString

	| aCollection aBuffer |
	aCollection := OrderedCollection new.
	aBuffer := String new writeStream.
	aString do: 
			[:aCharacter |
			aCharacter isSeparator
				ifTrue: 
					[aBuffer isEmpty
						ifFalse: 
							[aCollection add: aBuffer contents.
							aBuffer close.
							aBuffer := String new writeStream]]
				ifFalse: [aBuffer nextPut: aCharacter]].
	^aCollection</body>

<body package="KSU-Synapse" selector="encodeBase64:">encodeBase64: aString

	| encodedString |
	encodedString := (aString withEncoding: #UTF_8) readStream contents asBase64String.
	^encodedString reject: [:aCharacter | aCharacter isSeparator]</body>

<body package="KSU-Synapse" selector="argumentsOf:">argumentsOf: constructorNode

	| arguments |
	arguments := OrderedCollection new.
	constructorNode allNodesDo: 
			[:aNode |
			(aNode isInnerNode and: [aNode symbol = self defaultArgumentNodeSymbol])
				ifTrue: 
					[| tokenString |
					tokenString := aNode subNode token tokenString.
					arguments add: (self parseString: tokenString)]].
	^arguments</body>

<body package="KSU-Synapse" selector="parseString:">parseString: quotedString

	| readStream writeStream |
	readStream := (quotedString copyFrom: 2 to: quotedString size - 1) readStream.
	writeStream := String new writeStream.
	[readStream atEnd] whileFalse: 
			[| aCharacter |
			aCharacter := readStream next.
			writeStream nextPut: aCharacter.
			(aCharacter = $" and: [readStream peek = $"]) ifTrue: [readStream next]].
	readStream close.
	writeStream close.
	^writeStream contents</body>

<body package="KSU-Synapse" selector="escapeForMakeMacro:">escapeForMakeMacro: aString
	"Maybe, this message is not used."

	| replacingDictionary aStream |
	replacingDictionary := (Dictionary new)
				add: $\ -&gt; '\\\\\\\\';
				add: $" -&gt; '\\\"';
				add: $% -&gt; '%%';
				add: Character cr -&gt; '\\\\r';
				add: Character lf -&gt; '\\\\n';
				add: Character tab -&gt; '\\\\t';
				add: Character newPage -&gt; '\\\\f';
				add: Character backspace -&gt; '\\\\b';
				yourself.
	aStream := String new writeStream.
	aString do: 
			[:aCharacter |
			(replacingDictionary at: aCharacter ifAbsent: [nil])
				ifNil: [aStream nextPut: aCharacter]
				ifNotNil: [:replacingString | aStream nextPutAll: replacingString]].
	^aStream contents</body>

<body package="KSU-Synapse" selector="decodeBase64:">decodeBase64: aString

	| encodedString |
	encodedString := (aString withEncoding: #Base64) readStream contents.
	^(encodedString withEncoding: self defaultEncoding) readStream contents</body>

<body package="KSU-Synapse" selector="neuronNameOf:">neuronNameOf: constructorNode

	| constructorNameNode idNode |
	constructorNameNode := constructorNode subNodes first.
	idNode := constructorNameNode subNode.
	^idNode token tokenString</body>

<body package="KSU-Synapse" selector="parseJSONObjectAsDictionary:">parseJSONObjectAsDictionary: aString

	| escapeDictionary stringBlock aDictionary key value currentStatus aStream |
	escapeDictionary := (Dictionary new)
				add: $" -&gt; $";
				add: $\ -&gt; $\;
				add: $/ -&gt; $/;
				add: $b -&gt; Character backspace;
				add: $f -&gt; Character newPage;
				add: $n -&gt; Character lf;
				add: $r -&gt; Character cr;
				add: $t -&gt; Character tab;
				yourself.
	stringBlock :=
			[:readStream |
			| theString aBoolean |
			theString := String new writeStream.
			readStream next = $" ifFalse: [self error: 'Invalid string literal.'].
			aBoolean := true.
			[aBoolean] whileTrue: 
					[| aCharacter |
					aCharacter := readStream next.
					aCharacter = $\
						ifTrue: 
							[| nextCharacter |
							nextCharacter := readStream next.
							(escapeDictionary keys includes: nextCharacter)
								ifTrue: [theString nextPut: (escapeDictionary at: nextCharacter)]
								ifFalse: [theString nextPut: nextCharacter]]
						ifFalse: [aCharacter = $" ifTrue: [aBoolean := false] ifFalse: [theString nextPut: aCharacter]]].
			theString contents].
	aDictionary := Dictionary new.
	key := nil.
	value := nil.
	currentStatus := #initialStatus.
	aStream := aString readStream.
	[aStream atEnd] whileFalse: 
			[| nextStatus aCharacter |
			nextStatus := nil.
			aCharacter := aStream peek.
			aCharacter isSeparator
				ifTrue: 
					[aStream next.
					nextStatus := currentStatus].
			(currentStatus = #initialStatus and: [aCharacter = ${])
				ifTrue: 
					[aStream next.
					nextStatus := #startOfKey].
			((currentStatus = #startOfKey or: [currentStatus = #startOfValue]) and: [aCharacter = $"])
				ifTrue: 
					[key
						ifNil: 
							[key := stringBlock value: aStream.
							nextStatus := #endOfKey]
						ifNotNil: 
							[value := stringBlock value: aStream.
							aDictionary add: key asSymbol -&gt; value.
							key := nil.
							value := nil.
							nextStatus := #endOfValue]].
			(currentStatus = #endOfKey and: [aCharacter = $:])
				ifTrue: 
					[aStream next.
					nextStatus := #startOfValue].
			currentStatus = #endOfValue
				ifTrue: 
					[aStream next.
					aCharacter = $} ifTrue: [nextStatus := #exitStatus].
					aCharacter = $, ifTrue: [nextStatus := #startOfKey]].
			nextStatus
				ifNil: 
					[| errorStream |
					errorStream := (String new writeStream)
								nextPutAll: 'Unexpected character ''';
								nextPut: aCharacter;
								nextPutAll: ''' on status ''';
								nextPutAll: currentStatus asString;
								nextPutAll: '''.';
								yourself.
					self error: errorStream contents].
			currentStatus := nextStatus].
	aStream close.
	^aDictionary</body>
</methods>


<methods>
<class-id>SynapseNeuron</class-id> <category>operation</category>

<body package="KSU-Synapse" selector="output:port:">output: aValue port: portSymbol

	| aConnector |
	aConnector := self connectorDictionary at: portSymbol
				ifAbsent: [self error: 'Undefined output port ''' , portSymbol printString , '''.'].
	aConnector value: aValue</body>

<body package="KSU-Synapse" selector="registerOutputPort:">registerOutputPort: portSymbol

	| anAssociation |
	anAssociation := portSymbol -&gt; self defaultConnectorClass new.
	self connectorDictionary add: anAssociation</body>

<body package="KSU-Synapse" selector="connect:toNeuron:port:">connect: fromPort toNeuron: aNeuron port: toPort

	| aConnector |
	aConnector := self connectorDictionary at: fromPort
				ifAbsent: [self error: 'Undefined output port ''' , fromPort printString , '''.'].
	aConnector registerNeuron: aNeuron port: toPort</body>

<body package="KSU-Synapse" selector="registerInputPort:">registerInputPort: portSymbol

	| anAssociation |
	anAssociation := portSymbol -&gt; OrderedCollection new.
	self inputPortDictionary add: anAssociation</body>

<body package="KSU-Synapse" selector="action">action

	self actionBlock value: self necessityDictionary
	"self necessityDictionary
		ifNotNil: [:aCollection | self actionBlock value: aCollection]"</body>

<body package="KSU-Synapse" selector="input:port:">input: aValue port: portSymbol

	| aQueue |
	aQueue := self inputPortDictionary at: portSymbol
				ifAbsent: 
					[self error: 'Undefined input port ''' , portSymbol printString , '''.'].
	aQueue add: aValue.
	self action</body>

<body package="KSU-Synapse" selector="inputWithoutAction:port:">inputWithoutAction: aValue port: portSymbol

	| aQueue |
	aQueue := self inputPortDictionary at: portSymbol
				ifAbsent: 
					[self error: 'Undefined input port ''' , portSymbol printString , '''.'].
	aQueue add: aValue</body>
</methods>

<methods>
<class-id>SynapseNeuron</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="connectorDictionary">connectorDictionary

	connectorDictionary ifNil: [connectorDictionary := Dictionary new].
	^connectorDictionary</body>

<body package="KSU-Synapse" selector="inputPortDictionary">inputPortDictionary

	inputPortDictionary ifNil: [inputPortDictionary := Dictionary new].
	^inputPortDictionary</body>

<body package="KSU-Synapse" selector="outputPortSymbols">outputPortSymbols

	| aCollection |
	aCollection := OrderedCollection new.
	self connectorDictionary keysAndValuesDo: [:aSymbol :aConnector | aCollection add: aSymbol].
	^aCollection</body>

<body package="KSU-Synapse" selector="neuronType">neuronType

	^neuronType</body>

<body package="KSU-Synapse" selector="necessityDictionary">necessityDictionary

	| hasAllNecessities aDictionary |
	hasAllNecessities := true.
	self inputPortDictionary
		keysAndValuesDo: [:portSymbol :aQueue | aQueue size = 0 ifTrue: [hasAllNecessities := false]].
	hasAllNecessities ifFalse: [^nil].
	aDictionary := Dictionary new.
	self inputPortDictionary keysAndValuesDo: 
			[:portSymbol :aQueue |
			| aValue |
			aValue := aQueue removeFirst.
			aDictionary add: portSymbol -&gt; aValue].
	^aDictionary</body>

<body package="KSU-Synapse" selector="actionBlock">actionBlock

	actionBlock
		ifNil: [actionBlock := [:aCollection | self error: 'actionBlock is nil.']].
	^actionBlock</body>

<body package="KSU-Synapse" selector="inputPortSymbols">inputPortSymbols

	| aCollection |
	aCollection := OrderedCollection new.
	self inputPortDictionary keysAndValuesDo: [:aSymbol :aQueue | aCollection add: aSymbol].
	^aCollection</body>

<body package="KSU-Synapse" selector="neuronType:">neuronType: typeSymbol

	neuronType := typeSymbol</body>

<body package="KSU-Synapse" selector="actionBlock:">actionBlock: aBlock

	actionBlock := aBlock</body>
</methods>

<methods>
<class-id>SynapseNeuron</class-id> <category>testing</category>

<body package="KSU-Synapse" selector="isHeadNeuron">isHeadNeuron

	^#(#File #Files #Value #Values) includes: self neuronType</body>
</methods>

<methods>
<class-id>SynapseNeuron</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="defaultConnectorClass">defaultConnectorClass

	^KSU.SynapseNeuralConnector</body>

<body package="KSU-Synapse" selector="defaultShellInterpreterClass">defaultShellInterpreterClass

	^KSU.ShellInterpreter</body>

<body package="KSU-Synapse" selector="fileModeFrom:">fileModeFrom: fileModeString

	| aDictionary |
	aDictionary := (Dictionary new)
				add: 'read' -&gt; #read;
				add: 'r' -&gt; #read;
				add: 'write' -&gt; #write;
				add: 'w' -&gt; #write;
				add: 'append' -&gt; #append;
				add: 'a' -&gt; #append;
				yourself.
	^aDictionary at: fileModeString asLowercase ifAbsent: [#other]</body>
</methods>

<methods>
<class-id>SynapseNeuron</class-id> <category>private - metrics</category>

<body package="KSU-Synapse" selector="inputSymbolsOf:">inputSymbolsOf: pathToMetrics

	| aStream resultString inputSymbolStrings inputSymbols |
	aStream := (String new writeStream)
				nextPutAll: 'cd "';
				nextPutAll: (self class escapeDoubleQuote: pathToMetrics asString);
				nextPutAll: '";';
				nextPutAll: 'make inputs;';
				yourself.
	resultString := self defaultShellInterpreterClass shellScript: aStream contents.
	inputSymbolStrings := self class separateBySpaces: resultString.
	inputSymbols := inputSymbolStrings collect: [:each | each asSymbol].
	^inputSymbols</body>

<body package="KSU-Synapse" selector="outputSymbolsOf:">outputSymbolsOf: pathToMetrics

	| aStream resultString outputSymbolStrings outputSymbols |
	aStream := (String new writeStream)
				nextPutAll: 'cd "';
				nextPutAll: (self class escapeDoubleQuote: pathToMetrics asString);
				nextPutAll: '";';
				nextPutAll: 'make outputs;';
				yourself.
	resultString := self defaultShellInterpreterClass shellScript: aStream contents.
	outputSymbolStrings := self class separateBySpaces: resultString.
	outputSymbols := outputSymbolStrings collect: [:each | each asSymbol].
	^outputSymbols</body>
</methods>

<methods>
<class-id>SynapseNeuron</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="initialize">initialize

	neuronType := nil.
	connectorDictionary := nil.
	inputPortDictionary := nil.
	actionBlock := nil</body>

<body package="KSU-Synapse" selector="value:">value: arguments

	self
		neuronType: #Value;
		registerOutputPort: self class defaultOutputPort;
		actionBlock: 
				[:necessityDictionaryOrNil |
				| aValue aString |
				aValue := arguments first.
				aString := aValue isString ifTrue: [aValue] ifFalse: [aValue printString].
				self output: aString port: self class defaultOutputPort]</body>

<body package="KSU-Synapse" selector="transcript:">transcript: arguments

	self
		neuronType: #Transcript;
		registerInputPort: self class defaultInputPort;
		actionBlock: 
				[:necessityDictionaryOrNil |
				necessityDictionaryOrNil
					ifNotNil: 
						[:necessityDictionary |
						| aValue aString |
						aValue := necessityDictionary at: self class defaultInputPort.
						aString := aValue isString ifTrue: [aValue] ifFalse: [aValue printString].
						Transcript
							cr;
							show: aString]]</body>

<body package="KSU-Synapse" selector="metrics:">metrics: arguments

	| pathToMetrics inputSymbols outputSymbols |
	pathToMetrics := Filename named: arguments first.
	pathToMetrics exists
		ifFalse: [self error: 'File ''' , pathToMetrics asString , ''' is not found.'].
	inputSymbols := self inputSymbolsOf: pathToMetrics.
	outputSymbols := self outputSymbolsOf: pathToMetrics.
	inputSymbols do: [:aSymbol | self registerInputPort: aSymbol].
	outputSymbols do: [:aSymbol | self registerOutputPort: aSymbol].
	self
		neuronType: #Metrics;
		actionBlock: 
				[:necessityDictionaryOrNil |
				necessityDictionaryOrNil
					ifNotNil: 
						[:necessityDictionary |
						| aStream shellScript resultString outputDictionary |
						aStream := (String new writeStream)
									nextPutAll: 'cd "';
									nextPutAll: (self class escapeDoubleQuote: pathToMetrics asString);
									nextPutAll: '";';
									nextPutAll: 'make ';
									yourself.
						self inputPortSymbols do: 
								[:aSymbol |
								| valueString |
								valueString := necessityDictionary at: aSymbol
											ifAbsent: 
												[| errorString |
												errorString := (String new writeStream)
															nextPutAll: 'Not found ''';
															nextPutAll: aSymbol asString;
															nextPutAll: ''' value in necessityDictionary.';
															contents.
												self error: errorString].
								aStream
									nextPutAll: aSymbol asString;
									nextPutAll: '="';
									nextPutAll: (self class encodeBase64: valueString);
									nextPutAll: '" '].
						shellScript := aStream contents.
						resultString := self defaultShellInterpreterClass shellScript: shellScript.
						outputDictionary := self class parseJSONObjectAsDictionary: resultString.
						self outputPortSymbols do: 
								[:aSymbol |
								| base64String valueString |
								base64String := outputDictionary at: aSymbol
											ifAbsent: 
												[| errorString |
												errorString := (String new writeStream)
															nextPutAll: 'Not found ''';
															nextPutAll: aSymbol asString;
															nextPutAll: ''' value in metrics results.';
															contents.
												self error: errorString].
								valueString := self class decodeBase64: base64String.
								self output: valueString port: aSymbol]]]</body>

<body package="KSU-Synapse" selector="file:">file: arguments

	self
		neuronType: #File;
		registerInputPort: self class defaultInputPort;
		registerOutputPort: self class defaultOutputPort;
		actionBlock: 
				[:necessityDictionaryOrNil |
				| aFilename fileModeString fileMode |
				aFilename := Filename named: arguments first.
				arguments size &lt; 2 ifTrue: [self error: 'Please specify the file mode.'].
				fileModeString := arguments at: 2.
				fileMode := self fileModeFrom: fileModeString.
				fileMode = #read
					ifTrue: 
						[| aString |
						aString := (aFilename withEncoding: self class defaultEncoding) readStream contents.
						self output: aString port: self class defaultOutputPort].
				((fileMode = #write or: [fileMode = #append]) and: [necessityDictionaryOrNil isNil not])
					ifTrue: 
						[| necessityDictionary aValue aString fileWithEncoding aStream |
						necessityDictionary := necessityDictionaryOrNil.
						aValue := necessityDictionary at: self class defaultInputPort.
						aString := aValue isString ifTrue: [aValue] ifFalse: [aValue printString].
						fileWithEncoding := aFilename withEncoding: self class defaultEncoding.
						aStream := fileMode = #write
									ifTrue: [fileWithEncoding writeStream]
									ifFalse: [fileWithEncoding appendStream].
						aStream
							nextPutAll: aString;
							close].
				fileMode = #other ifTrue: [self error: 'Bad argument. file mode ''' , fileModeString , '''.']]</body>

<body package="KSU-Synapse" selector="values:">values: arguments

	self
		neuronType: #Values;
		actionBlock: [:necessityDictionaryOrNil | ]</body>

<body package="KSU-Synapse" selector="files:">files: arguments

	self
		neuronType: #Files;
		actionBlock: [:necessityDictionaryOrNil | ]</body>
</methods>

<methods>
<class-id>SynapseNeuron</class-id> <category>printing</category>

<body package="KSU-Synapse" selector="printOn:">printOn: aStream

	aStream
		nextPutAll: self class name;
		nextPutAll: '(';
		nextPutAll: self neuronType printString;
		nextPutAll: ')';
		yourself</body>
</methods>


<methods>
<class-id>SynapseNeuralConnector class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>
</methods>


<methods>
<class-id>SynapseNeuralConnector</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="valueHistory">valueHistory

	valueHistory ifNil: [valueHistory := OrderedCollection new].
	^valueHistory</body>

<body package="KSU-Synapse" selector="dependentCollection">dependentCollection

	dependentCollection ifNil: [dependentCollection := OrderedCollection new].
	^dependentCollection</body>
</methods>

<methods>
<class-id>SynapseNeuralConnector</class-id> <category>dependents operation</category>

<body package="KSU-Synapse" selector="deleteNeuron:port:">deleteNeuron: aNeuron port: portSymbol

	self dependentCollection
		reject: [:anAssociation | anAssociation key = portSymbol and: [anAssociation value = aNeuron]]</body>

<body package="KSU-Synapse" selector="registerNeuron:port:">registerNeuron: aNeuron port: portSymbol

	self dependentCollection add: portSymbol -&gt; aNeuron</body>
</methods>

<methods>
<class-id>SynapseNeuralConnector</class-id> <category>evaluating</category>

<body package="KSU-Synapse" selector="value:">value: aValue

	self valueHistory add: aValue.
	self dependentCollection do: 
			[:anAssociation |
			| portSymbol aNeuron |
			portSymbol := anAssociation key.
			aNeuron := anAssociation value.
			aNeuron input: aValue port: portSymbol]</body>
</methods>

<methods>
<class-id>SynapseNeuralConnector</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="initialize">initialize

	valueHistory := nil.
	dependentCollection := nil</body>
</methods>


<methods>
<class-id>SynapseToken class</class-id> <category>default symbols</category>

<body package="KSU-Synapse" selector="acceptanceSymbol">acceptanceSymbol

	^#acceptance</body>

<body package="KSU-Synapse" selector="lparSymbol">lparSymbol

	^#LPAR</body>

<body package="KSU-Synapse" selector="periodSymbol">periodSymbol

	^#PERIOD</body>

<body package="KSU-Synapse" selector="commaSymbol">commaSymbol

	^#COMMA</body>

<body package="KSU-Synapse" selector="toSymbol">toSymbol

	^#TO</body>

<body package="KSU-Synapse" selector="semicolonSymbol">semicolonSymbol

	^#SEMICOLON</body>

<body package="KSU-Synapse" selector="commentSymbol">commentSymbol

	^#COMMENT</body>

<body package="KSU-Synapse" selector="unknownSymbol">unknownSymbol

	^#unknown</body>

<body package="KSU-Synapse" selector="sendSymbol">sendSymbol

	^#SEND</body>

<body package="KSU-Synapse" selector="idSymbol">idSymbol

	^#ID</body>

<body package="KSU-Synapse" selector="rparSymbol">rparSymbol

	^#RPAR</body>

<body package="KSU-Synapse" selector="getsSymbol">getsSymbol

	^#GETS</body>

<body package="KSU-Synapse" selector="stringSymbol">stringSymbol

	^#STRING</body>
</methods>

<methods>
<class-id>SynapseToken class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="acceptanceToken">acceptanceToken

	^self string: nil symbol: self acceptanceSymbol</body>

<body package="KSU-Synapse" selector="lparToken:">lparToken: aString

	^self string: aString symbol: self lparSymbol</body>

<body package="KSU-Synapse" selector="toToken:">toToken: aString

	^self string: aString symbol: self toSymbol</body>

<body package="KSU-Synapse" selector="sendToken:">sendToken: aString

	^self string: aString symbol: self sendSymbol</body>

<body package="KSU-Synapse" selector="getsToken:">getsToken: aString

	^self string: aString symbol: self getsSymbol</body>

<body package="KSU-Synapse" selector="unknownToken:">unknownToken: aString

	^self string: aString symbol: self unknownSymbol</body>

<body package="KSU-Synapse" selector="periodToken:">periodToken: aString

	^self string: aString symbol: self periodSymbol</body>

<body package="KSU-Synapse" selector="string:symbol:">string: aString symbol: aSymbol

	^(self new)
		string: aString symbol: aSymbol;
		yourself</body>

<body package="KSU-Synapse" selector="commaToken:">commaToken: aString

	^self string: aString symbol: self commaSymbol</body>

<body package="KSU-Synapse" selector="stringToken:">stringToken: aString

	^self string: aString symbol: self stringSymbol</body>

<body package="KSU-Synapse" selector="semicolonToken:">semicolonToken: aString

	^self string: aString symbol: self semicolonSymbol</body>

<body package="KSU-Synapse" selector="idToken:">idToken: aString

	^self string: aString symbol: self idSymbol</body>

<body package="KSU-Synapse" selector="commentToken:">commentToken: aString

	^self string: aString symbol: self commentSymbol</body>

<body package="KSU-Synapse" selector="rparToken:">rparToken: aString

	^self string: aString symbol: self rparSymbol</body>
</methods>


<methods>
<class-id>SynapseToken</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="symbol">symbol

	^self tokenSymbol</body>

<body package="KSU-Synapse" selector="string">string

	^self tokenString</body>

<body package="KSU-Synapse" selector="tokenSymbol">tokenSymbol

	^tokenSymbol</body>

<body package="KSU-Synapse" selector="tokenString">tokenString

	^tokenString</body>
</methods>

<methods>
<class-id>SynapseToken</class-id> <category>printing</category>

<body package="KSU-Synapse" selector="printOn:">printOn: aStream

	aStream
		nextPutAll: self class name;
		nextPutAll: ' string: '.
	self tokenString
		ifNil: [aStream nextPutAll: 'nil']
		ifNotNil: 
			[aStream
				nextPutAll: '''';
				nextPutAll: self tokenString;
				nextPutAll: ''''].
	aStream
		nextPutAll: ' symbol: ';
		nextPutAll: self tokenSymbol printString;
		yourself</body>
</methods>

<methods>
<class-id>SynapseToken</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="string:symbol:">string: aString symbol: aSymbol

	tokenString := aString.
	tokenSymbol := aSymbol.
	^self yourself</body>
</methods>


<methods>
<class-id>SynapseScannerTable class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^super new initialize</body>
</methods>


<methods>
<class-id>SynapseScannerTable</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="initialize">initialize

	transitionTable := nil</body>
</methods>

<methods>
<class-id>SynapseScannerTable</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="transitionTable">transitionTable

	transitionTable ifNil: [transitionTable := OrderedCollection new].
	^transitionTable</body>

<body package="KSU-Synapse" selector="at:">at: aSymbol

	| aState |
	self transitionTable
		do: [:anAssociation | anAssociation key = aSymbol ifTrue: [^anAssociation value]].
	aState := self defaultStateClass state: aSymbol.
	self transitionTable add: aSymbol -&gt; aState.
	^aState</body>
</methods>

<methods>
<class-id>SynapseScannerTable</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="defaultStateClass">defaultStateClass

	^KSU.SynapseScannerState</body>
</methods>

<methods>
<class-id>SynapseScannerTable</class-id> <category>default states</category>

<body package="KSU-Synapse" selector="initial">initial

	^OrderedCollection new</body>
</methods>


<methods>
<class-id>SynapseParseNode class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>

<body package="KSU-Synapse" selector="token:">token: aToken

	^(self new)
		token: aToken;
		yourself</body>

<body package="KSU-Synapse" selector="symbol:subNodes:">symbol: aToken subNodes: nodeCollection

	^(self new)
		symbol: aToken subNodes: nodeCollection;
		yourself</body>
</methods>


<methods>
<class-id>SynapseParseNode</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="subNode">subNode

	^self subNodes first</body>

<body package="KSU-Synapse" selector="nodeType">nodeType

	^nodeType</body>

<body package="KSU-Synapse" selector="subNodes">subNodes

	^subNodes</body>

<body package="KSU-Synapse" selector="symbol">symbol

	^symbol</body>

<body package="KSU-Synapse" selector="token">token

	^token</body>

<body package="KSU-Synapse" selector="allNodesDo:">allNodesDo: aBlock

	aBlock value: self.
	self subNodes ifNil: [^self].
	self subNodes do: [:aNode | aNode allNodesDo: aBlock]</body>
</methods>

<methods>
<class-id>SynapseParseNode</class-id> <category>testing</category>

<body package="KSU-Synapse" selector="isInnerNode">isInnerNode

	^self isLeafNode not</body>

<body package="KSU-Synapse" selector="isLeafNode">isLeafNode

	^self nodeType = #leaf</body>
</methods>

<methods>
<class-id>SynapseParseNode</class-id> <category>printing</category>

<body package="KSU-Synapse" selector="printOn:">printOn: aStream

	self isLeafNode
		ifTrue: 
			[aStream
				nextPutAll: 'Node(';
				nextPutAll: self token printString;
				nextPutAll: ')']
		ifFalse: 
			[aStream
				nextPutAll: 'Node(';
				nextPutAll: self symbol printString;
				nextPutAll: ',';
				nextPutAll: self subNodes printString;
				nextPutAll: ')']</body>
</methods>

<methods>
<class-id>SynapseParseNode</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="symbol:subNodes:">symbol: aSymbol subNodes: nodeCollection

	nodeType := #inner.
	symbol := aSymbol.
	subNodes := nodeCollection</body>

<body package="KSU-Synapse" selector="initialize">initialize

	nodeType := nil.
	token := nil.
	symbol := nil.
	subNodes := nil</body>

<body package="KSU-Synapse" selector="token:">token: aToken

	nodeType := #leaf.
	token := aToken</body>
</methods>


<methods>
<class-id>SynapseInterpreter class</class-id> <category>examples</category>

<body package="KSU-Synapse" selector="example0A">example0A
	"KSU.SynapseInterpreter example0A."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleEcho.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example08">example08
	"KSU.SynapseInterpreter example08."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleInvalidFileOperation.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example04">example04
	"KSU.SynapseInterpreter example04."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleMetrics2.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example0E">example0E
	"KSU.SynapseInterpreter example0E."

	| anInterpreter |
	anInterpreter := KSU.SynapseInterpreter new.
	anInterpreter
		evaluate: '/* Assignments */';
		evaluate: 'value = Value("This is sample SynapseScript on exampleB.");';
		evaluate: 'metrics1 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics2 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics3 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics4 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics5 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics6 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics7 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics8 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics9 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics10 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics11 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics12 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics13 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics14 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics15 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'metrics16 = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'transcript = Transcript();';
		evaluate: '/* Synapses */';
		evaluate: 'value to: metrics1;';
		evaluate: 'metrics1 to: metrics2;';
		evaluate: 'metrics2 to: metrics3;';
		evaluate: 'metrics3 to: metrics4;';
		evaluate: 'metrics4 to: metrics5;';
		evaluate: 'metrics5 to: metrics6;';
		evaluate: 'metrics6 to: metrics7;';
		evaluate: 'metrics7 to: metrics8;';
		evaluate: 'metrics8 to: metrics9;';
		evaluate: 'metrics9 to: metrics10;';
		evaluate: 'metrics10 to: metrics11;';
		evaluate: 'metrics11 to: metrics12;';
		evaluate: 'metrics12 to: metrics13;';
		evaluate: 'metrics13 to: metrics14;';
		evaluate: 'metrics14 to: metrics15;';
		evaluate: 'metrics15 to: metrics16;';
		evaluate: 'metrics16 to: transcript;';
		yourself.
	anInterpreter execute</body>

<body package="KSU-Synapse" selector="example11">example11
	"KSU.SynapseInterpreter example11."

	| anInterpreter |
	anInterpreter := KSU.SynapseInterpreter new.
	anInterpreter
		evaluate: '/* Assignments */';
		evaluate: 'value1 = Value("1番目の文字列");';
		evaluate: 'value2 = Value("2番目の文字列");';
		evaluate: 'swap = Metrics("/Users/Miyazaki/Desktop/Swap");';
		evaluate: 'transcript = Transcript();';
		evaluate: 'file1 = File("/Users/Miyazaki/Desktop/output1.txt", "write");';
		evaluate: 'file2 = File("/Users/Miyazaki/Desktop/output2.txt", "write");';
		evaluate: '/* Synapses */';
		evaluate: 'value1 to: swap.input1 send: output1 to: transcript;';
		evaluate: 'value2 to: swap.input2 send: output2 to: transcript;';
		evaluate: 'swap.output1 to: file1;';
		evaluate: 'swap send: output2 to: file2;';
		yourself.
	anInterpreter execute</body>

<body package="KSU-Synapse" selector="example15">example15
	"KSU.SynapseInterpreter example15."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleEcho3.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example14">example14
	"KSU.SynapseInterpreter example14."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleMetrics4.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example10">example10
	"KSU.SynapseInterpreter example10."

	| anInterpreter |
	anInterpreter := KSU.SynapseInterpreter new.
	anInterpreter
		evaluate: '/* Assignments */';
		evaluate: 'inputFile = File("/Users/Miyazaki/Desktop/Kamigamo.txt", "read");';
		evaluate: 'kansai = Metrics("/Users/Miyazaki/Desktop/Kansai");';
		evaluate: 'outputFile = File("/Users/Miyazaki/Desktop/Kansai.txt", "write");';
		evaluate: 'transcript = Transcript();';
		evaluate: '/* Synapses */';
		evaluate: 'inputFile to: kansai to: outputFile;';
		evaluate: 'kansai to: transcript;';
		yourself.
	anInterpreter execute</body>

<body package="KSU-Synapse" selector="example0C">example0C
	"KSU.SynapseInterpreter example0C."

	| anInterpreter |
	anInterpreter := KSU.SynapseInterpreter new.
	anInterpreter
		evaluate: '/* Assignments */';
		evaluate: 'value = Value("This is sample SynapseScript on exampleB.");';
		evaluate: 'metrics = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'transcript = Transcript();';
		evaluate: '/* Synapses */';
		evaluate: 'value send: output to: metrics.input send: output to: transcript.input;';
		yourself.
	anInterpreter execute</body>

<body package="KSU-Synapse" selector="example03">example03
	"KSU.SynapseInterpreter example03."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleMetrics1.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example07">example07
	"KSU.SynapseInterpreter example07."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleAppendToFile.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example0D">example0D
	"KSU.SynapseInterpreter example0D."

	| anInterpreter |
	anInterpreter := KSU.SynapseInterpreter new.
	anInterpreter
		evaluate: '/* Assignments */';
		evaluate: 'value = Value("This is sample SynapseScript on exampleB.");';
		evaluate: 'metrics = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'transcript = Transcript();';
		evaluate: '/* Synapses */';
		evaluate: 'value to: metrics to: metrics to: transcript;';
		yourself.
	anInterpreter execute</body>

<body package="KSU-Synapse" selector="example17">example17
	"KSU.SynapseInterpreter example17."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleMetricsTable.
	KSU.SynapseInterpreter script: scriptString.
	KSU.ShellInterpreter shellScript: 'open /Users/Miyazaki/Desktop/MetricsTable.html'</body>

<body package="KSU-Synapse" selector="example06">example06
	"KSU.SynapseInterpreter example06."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleWriteToFile.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example13">example13
	"KSU.SynapseInterpreter example13."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleMetrics3.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example01">example01
	"KSU.SynapseInterpreter example01."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleHoge.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example05">example05
	"KSU.SynapseInterpreter example05."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleReadFromFile.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example02">example02
	"KSU.SynapseInterpreter example02."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleSimpleHoge.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example12">example12
	"KSU.SynapseInterpreter example12."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleEcho2.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example0F">example0F
	"KSU.SynapseInterpreter example0F."

	| anInterpreter |
	anInterpreter := KSU.SynapseInterpreter new.
	anInterpreter
		evaluate: '/* Assignments */';
		evaluate: 'value = Value("良い天気です。午後は出かけます。");';
		evaluate: 'kansai = Metrics("/Users/Miyazaki/Desktop/Kansai");';
		evaluate: 'transcript = Transcript();';
		evaluate: 'file = File("/Users/Miyazaki/Desktop/Kansai.txt", "write");';
		evaluate: '/* Synapses */';
		evaluate: 'value to: kansai to: transcript;';
		evaluate: 'kansai to: file;';
		yourself.
	anInterpreter execute</body>

<body package="KSU-Synapse" selector="example0B">example0B
	"KSU.SynapseInterpreter example0B."

	| anInterpreter |
	anInterpreter := KSU.SynapseInterpreter new.
	anInterpreter
		evaluate: 'value = Value("This is sample SynapseScript on exampleB.");';
		evaluate: 'metrics = Metrics("/Users/Miyazaki/Desktop/Echo");';
		evaluate: 'transcript = Transcript();';
		yourself.
	Dialog warn: 'here! [1]'.
	anInterpreter execute.
	Dialog warn: 'here! [2]'.
	anInterpreter evaluate: 'value to: metrics to: transcript;'.
	Dialog warn: 'here! [3]'.
	anInterpreter execute.
	Dialog warn: 'here! [4]'.
	anInterpreter execute</body>

<body package="KSU-Synapse" selector="example09">example09
	"KSU.SynapseInterpreter example09."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleForGettingInputOutputSymbols.
	^KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="example16">example16
	"KSU.SynapseInterpreter example16."

	| scriptString anInterpreter |
	scriptString := KSU.SynapseInterpreter exampleCodeSpaghetti.
	anInterpreter := KSU.SynapseInterpreter script: scriptString.
	KSU.ShellInterpreter shellScript: 'open /Users/Miyazaki/Desktop/Spaghetti.html'.
	^anInterpreter</body>
</methods>

<methods>
<class-id>SynapseInterpreter class</class-id> <category>examples - testing</category>

<body package="KSU-Synapse" selector="exampleCodeSpaghettiForTesting">exampleCodeSpaghettiForTesting
	"KSU.SynapseInterpreter exampleCodeSpaghettiForTesting."

	| scriptString |
	scriptString := '
/*** Assignments ***/
sourceFile	       = File("./path/to/Programs/source.c", "read");
htmlFile           = File("/Users/Miyazaki/Desktop/CodeSpaghetti.html", "write");
imageFilename      = Value("/Users/Miyazaki/Desktop/CodeSpaghetti.jpg");
fileCopy           = Metrics("./path/to/Plugins/FileCopy");
easyMetrics        = Metrics("./path/to/Plugins/C_EasyMetrics");
division           = Metrics("./path/to/Plugins/Division2");
lpf2WaitTime       = Metrics("./path/to/Plugins/LinesPerFunction2WaitTime");
id2Spaghetti       = Metrics("./path/to/Plugins/IdLength2SpaghettiName");
indent2Variability = Metrics("./path/to/Plugins/IndentDifference2VariabilityOfBoilingTime");
comment2OliveOil   = Metrics("./path/to/Plugins/CommentRatio2OliveOil");
codeSpaghetti      = Metrics("./path/to/Plugins/CodeSpaghetti");
timeUnit           = Value("minutes");
number2Time_1      = Metrics("./path/to/Plugins/Number2Time");
number2Time_2      = Metrics("./path/to/Plugins/Number2Time");

/*** Synapses ***/
sourceFile
    to: easyMetrics;
easyMetrics
    send: effectiveLOC to: division.dividend
    send: quotient     to: lpf2WaitTime
    to: number2Time_1.value
    to: codeSpaghetti.waitTime;
easyMetrics
    send: numberOfFunctions to: division.divisor;
easyMetrics
    send: averageLengthOfId to: id2Spaghetti
    send: spaghettiName     to: codeSpaghetti.spaghettiName;
easyMetrics
    send: indentDifference to: indent2Variability
    to: number2Time_2.value
    to: codeSpaghetti.variability;
easyMetrics
    send: commentRatio to: comment2OliveOil
    to: codeSpaghetti.oliveOil;
id2Spaghetti
    send: spaghettiImage to: fileCopy.source;
imageFilename
    to: fileCopy.destination;
imageFilename
    to: codeSpaghetti.imageFile;
timeUnit
    to: number2Time_1.unit;
timeUnit
    to: number2Time_2.unit;
codeSpaghetti
    to: htmlFile;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="example1ForTesting">example1ForTesting
	"KSU.SynapseInterpreter example1ForTesting."

	| scriptString |
	scriptString := KSU.SynapseInterpreter exampleCodeSpaghettiForTesting.
	KSU.SynapseInterpreter script: scriptString.
	KSU.ShellInterpreter shellScript: 'open ~/Desktop/CodeSpaghetti.html'</body>

<body package="KSU-Synapse" selector="example2ForTesting">example2ForTesting
	"KSU.SynapseInterpreter example2ForTesting."

	| scriptString |
	scriptString := '
/* Assignments */
unit = Value("minutes");
value = Value("10.5");
number2Time = Metrics("./path/to/Plugins/Number2Time");
transcript = Transcript();

/* Synapses */
unit
	to: number2Time.unit;
value
	to: number2Time.value;
number2Time
	to: transcript;
'.
	KSU.SynapseInterpreter script: scriptString</body>

<body package="KSU-Synapse" selector="exampleCodeSpaghettiForTesting2">exampleCodeSpaghettiForTesting2
	"KSU.SynapseInterpreter exampleCodeSpaghettiForTesting2."

	| scriptString |
	scriptString := '
/*** Assignments ***/
sourceFile	       = File("/Users/Miyazaki/Desktop/source.c", "read");
htmlFile           = File("/Users/Miyazaki/Desktop/CodeSpaghetti.html", "write");
imageFilename      = Value("/Users/Miyazaki/Desktop/CodeSpaghetti.jpg");
fileCopy           = Metrics("./path/to/Plugins/FileCopy");
easyMetrics        = Metrics("./path/to/Plugins/C_EasyMetrics");
division           = Metrics("./path/to/Plugins/Division2");
lpf2WaitTime       = Metrics("./path/to/Plugins/LinesPerFunction2WaitTime");
id2Spaghetti       = Metrics("./path/to/Plugins/IdLength2SpaghettiName");
indent2Variability = Metrics("./path/to/Plugins/IndentDifference2VariabilityOfBoilingTime");
comment2OliveOil   = Metrics("./path/to/Plugins/CommentRatio2OliveOil");
codeSpaghetti      = Metrics("./path/to/Plugins/CodeSpaghetti");
timeUnit           = Value("minutes");
number2Time_1      = Metrics("./path/to/Plugins/Number2Time");
number2Time_2      = Metrics("./path/to/Plugins/Number2Time");

/*** Synapses ***/
sourceFile
    to: easyMetrics;
easyMetrics
    send: effectiveLOC to: division.dividend
    send: quotient     to: lpf2WaitTime
    to: number2Time_1.value
    to: codeSpaghetti.waitTime;
easyMetrics
    send: numberOfFunctions to: division.divisor;
easyMetrics
    send: averageLengthOfId to: id2Spaghetti
    send: spaghettiName     to: codeSpaghetti.spaghettiName;
easyMetrics
    send: indentDifference to: indent2Variability
    to: number2Time_2.value
    to: codeSpaghetti.variability;
easyMetrics
    send: commentRatio to: comment2OliveOil
    to: codeSpaghetti.oliveOil;
id2Spaghetti
    send: spaghettiImage to: fileCopy.source;
imageFilename
    to: fileCopy.destination;
imageFilename
    to: codeSpaghetti.imageFile;
timeUnit
    to: number2Time_1.unit;
timeUnit
    to: number2Time_2.unit;
codeSpaghetti
    to: htmlFile;
'.
	KSU.SynapseInterpreter script: scriptString.
	KSU.ShellInterpreter shellScript: 'open ~/Desktop/CodeSpaghetti.html'.
	^scriptString</body>
</methods>

<methods>
<class-id>SynapseInterpreter class</class-id> <category>examples - script</category>

<body package="KSU-Synapse" selector="exampleEcho3">exampleEcho3
	"KSU.SynapseInterpreter exampleEcho3."

	| aStream scriptString |
	aStream := (String new writeStream)
				nextPutAll: '/* Assignments */';
				nextPutAll: 'sourceFile = File("/Users/Miyazaki/Desktop/main2.c", "read");';
				nextPutAll: 'echo1 = Metrics("/Users/Miyazaki/Desktop/Echo2");';
				nextPutAll: 'echo2 = Metrics("/Users/Miyazaki/Desktop/Echo2");';
				nextPutAll: 'echo3 = Metrics("/Users/Miyazaki/Desktop/Echo2");';
				nextPutAll: 'echo4 = Metrics("/Users/Miyazaki/Desktop/Echo2");';
				nextPutAll: 'transcript = Transcript();';
				nextPutAll: '/* Synapses */';
				nextPutAll: 'sourceFile';
				nextPutAll: '	to: echo1';
				nextPutAll: '	to: echo2';
				nextPutAll: '	to: echo3';
				nextPutAll: '	to: echo4';
				nextPutAll: '	to: transcript;';
				yourself.
	scriptString := aStream contents.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleEcho2">exampleEcho2
	"KSU.SynapseInterpreter exampleEcho2."

	| aStream scriptString |
	aStream := (String new writeStream)
				nextPutAll: '/* Assignments */';
				nextPutAll: 'sourceFile = File("/Users/Miyazaki/Desktop/main2.c", "read");';
				nextPutAll: 'echo = Metrics("/Users/Miyazaki/Desktop/Echo2");';
				nextPutAll: 'transcript = Transcript();';
				nextPutAll: '/* Synapses */';
				nextPutAll: 'sourceFile';
				nextPutAll: '	to: echo';
				nextPutAll: '	to: transcript;';
				yourself.
	scriptString := aStream contents.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleSimpleHoge">exampleSimpleHoge
	"KSU.SynapseInterpreter exampleSimpleHoge."

	| scriptString |
	scriptString := '
/* Assignments */
hogeString = Value("hoge.hogehogehoge. ""hoge,hogehoge."" (hoge)*(hoge)/(hoge+hoge-hoge).");
transcript = Transcript();

/* Synapses */
hogeString
	to: transcript;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleForGettingInputOutputSymbols">exampleForGettingInputOutputSymbols
	"KSU.SynapseInterpreter exampleForGettingInputOutputSymbols."

	| scriptString |
	scriptString := '
/* Assignments */
value = Value("This is sample string in ''exampleForGettingInputOutputSymbols''.");
echo = Metrics("/Users/Miyazaki/Desktop/Echo");
transcript = Transcript();

/* Synapses */
value
	to: echo
	to: transcript;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleCodeSpaghetti">exampleCodeSpaghetti
	"KSU.SynapseInterpreter exampleCodeSpaghetti."

	| scriptString |
	scriptString := '
/*** Assignments ***/
sourceFile	  = File("/Users/Miyazaki/Desktop/source.c", "read");
htmlFile	  = File("/Users/Miyazaki/Desktop/Spaghetti.html", "write");
imageFilename = Value("/Users/Miyazaki/Desktop/Spaghetti.jpg");
fileCopy      = Metrics("/Users/Miyazaki/Desktop/FileCopy");
easyMetrics   = Metrics("/Users/Miyazaki/Desktop/C_EasyMetrics");
division      = Metrics("/Users/Miyazaki/Desktop/Division2");
linesPerFunction2WaitTime
	= Metrics("/Users/Miyazaki/Desktop/LinesPerFunction2WaitTime");
idLength2SpaghettiName
	= Metrics("/Users/Miyazaki/Desktop/IdLength2SpaghettiName");
indentDifference2VariabilityOfBoilingTime
	= Metrics("/Users/Miyazaki/Desktop/IndentDifference2VariabilityOfBoilingTime");
commentRatio2OliveOil
	= Metrics("/Users/Miyazaki/Desktop/CommentRatio2OliveOil");
codeSpaghetti
	= Metrics("/Users/Miyazaki/Desktop/CodeSpaghetti");
timeUnit      = Value("minutes");
number2Time_1 = Metrics("/Users/Miyazaki/Desktop/Number2Time");
number2Time_2 = Metrics("/Users/Miyazaki/Desktop/Number2Time");

/*** Synapses ***/
sourceFile
	to: easyMetrics;
easyMetrics
	send: effectiveLOC to: division.dividend
	send: quotient to: linesPerFunction2WaitTime
	to: number2Time_1.value
	to: codeSpaghetti.waitTime;
easyMetrics
	send: numberOfFunctions to: division.divisor;
easyMetrics
	send: averageLengthOfId to: idLength2SpaghettiName
	send: spaghettiName to: codeSpaghetti.spaghettiName;
easyMetrics
	send: indentDifference to: indentDifference2VariabilityOfBoilingTime
	to: number2Time_2.value
	to: codeSpaghetti.variability;
easyMetrics
	send: commentRatio to: commentRatio2OliveOil
	to: codeSpaghetti.oliveOil;
idLength2SpaghettiName
	send: spaghettiImage to: fileCopy.source;
imageFilename
	to: fileCopy.destination;
imageFilename
	to: codeSpaghetti.imageFile;
timeUnit
	to: number2Time_1.unit;
timeUnit
	to: number2Time_2.unit;
codeSpaghetti
	to: htmlFile;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleMetricsTable">exampleMetricsTable
	"KSU.SynapseInterpreter exampleMetricsTable."

	| scriptString |
	scriptString := '
/*** Assignments ***/
sourceFile	= File("/Users/Miyazaki/Desktop/source.c", "read");
htmlFile	= File("/Users/Miyazaki/Desktop/MetricsTable.html", "write");
easyMetrics = Metrics("/Users/Miyazaki/Desktop/C_EasyMetrics");
division    = Metrics("/Users/Miyazaki/Desktop/Division2");
linesPerFunction2WaitTime
	= Metrics("/Users/Miyazaki/Desktop/LinesPerFunction2WaitTime");
idLength2SpaghettiName
	= Metrics("/Users/Miyazaki/Desktop/IdLength2SpaghettiName");
indentDifference2VariabilityOfBoilingTime
	= Metrics("/Users/Miyazaki/Desktop/IndentDifference2VariabilityOfBoilingTime");
commentRatio2Degradation
	= Metrics("/Users/Miyazaki/Desktop/CommentRatio2Degradation");
commentRatio2OliveOil
	= Metrics("/Users/Miyazaki/Desktop/CommentRatio2OliveOil");
metricsTable
	= Metrics("/Users/Miyazaki/Desktop/MetricsTable");
timeUnit    = Value("minutes");
number2Time_1 = Metrics("/Users/Miyazaki/Desktop/Number2Time");
number2Time_2 = Metrics("/Users/Miyazaki/Desktop/Number2Time");

/*** Synapses ***/
sourceFile
	to: easyMetrics;
easyMetrics.linesOfCode to: metricsTable.linesOfCode;
easyMetrics.effectiveLOC to: metricsTable.effectiveLOC;
easyMetrics.physicalLOC to: metricsTable.physicalLOC;
easyMetrics.logicalLOC to: metricsTable.logicalLOC;
easyMetrics.commentLines to: metricsTable.commentLines;
easyMetrics.numberOfFunctions to: metricsTable.numberOfFunctions;
easyMetrics.averageLengthOfId to: metricsTable.averageLengthOfId;
easyMetrics.indentDifference to: metricsTable.indentDifference;
easyMetrics.standardIndent to: metricsTable.standardIndent;
easyMetrics.commentRatio to: metricsTable.commentRatio;
easyMetrics
	send: effectiveLOC to: division.dividend
	send: quotient to: linesPerFunction2WaitTime
	to: number2Time_1.value
	to: metricsTable.waitTime;
easyMetrics
	send: numberOfFunctions to: division.divisor;
division
	send: quotient to: metricsTable.linesPerFunction;
easyMetrics
	send: averageLengthOfId to: idLength2SpaghettiName
	send: spaghettiName to: metricsTable.spaghettiName;
easyMetrics
	send: indentDifference to: indentDifference2VariabilityOfBoilingTime
	to: number2Time_2.value
	to: metricsTable.variability;
easyMetrics
	send: commentRatio to: commentRatio2Degradation
	to: metricsTable.degradation;
easyMetrics
	send: commentRatio to: commentRatio2OliveOil
	to: metricsTable.oliveOil;
timeUnit
	to: number2Time_1.unit;
timeUnit
	to: number2Time_2.unit;
metricsTable
	to: htmlFile;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleMetrics1">exampleMetrics1
	"KSU.SynapseInterpreter exampleMetrics1."

	| scriptString |
	scriptString := '
/* Assignments */
sourceFile = File("/path/to/source.c");
numberOfMethods = Metrics("/path/to/NOM");
transcript = Transcript();

/* Synapses */
sourceFile
	to: numberOfMethods
	to: transcript;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleHoge">exampleHoge
	"KSU.SynapseInterpreter exampleHoge."

	| scriptString |
	scriptString := '
/* Assignments */
sourceCode = Value("hoge.hogehogehoge. hoge,hogehoge. (hoge)*(hoge)/(hoge+hoge-hoge).");
hogeMetrics = Metrics("/path/to/HogeMetrics");
transcript = Transcript();

/* Synapses */
sourceCode
	to: hogeMetrics
	to: transcript;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleAppendToFile">exampleAppendToFile
	"KSU.SynapseInterpreter exampleAppendToFile."

	| scriptString |
	scriptString := '
/* Assignments */
hogeString = Value("This is sample hoge string!!
append hogehoge.");
file = File("/Users/Miyazaki/Desktop/hogeWrite.txt", "append");
transcript = Transcript();

/* Synapses */
hogeString
	to: file;
hogeString
	to: transcript;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleMetrics2">exampleMetrics2
	"KSU.SynapseInterpreter exampleMetrics2."

	| scriptString |
	scriptString := '
/* Assignments */
sourceFile = File("/path/to/source.c");
numberOfMethods = Metrics("/path/to/NOM");
transcript = Transcript();

/* Synapses */
sourceFile
	send: output to: numberOfMethods.input
	send: output to: transcript.input;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleInvalidFileOperation">exampleInvalidFileOperation
	"KSU.SynapseInterpreter exampleInvalidFileOperation."

	| scriptString |
	scriptString := '
/* Assignments */
hogeString = Value("This paragraph has no mean.");
file = File("/Users/Miyazaki/Desktop/hogeWrite.txt", "hogehogehoge");
transcript = Transcript();

/* Synapses */
hogeString
	to: file;
hogeString
	to: transcript;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleMetrics4">exampleMetrics4
	"KSU.SynapseInterpreter exampleMetrics4."

	| scriptString |
	scriptString := '
/* Assignments */
sourceCode = Value("
#include &lt;stdio.h&gt;
#include &lt;stdlib.h&gt;
int main(int argumentCount, char* argumentValues[])
{
	int aValue;
	aValue = 3 + 4;   // Smalltalker knows this mean...
	printf(""aValue is %d\n"", aValue);
	return EXIT_SUCCESS;   // The ''EXIT_SUCCESS''requires ''stdlib.h''.
}
void error()
{
	 return;
}
");
metrics = Metrics("/Users/Miyazaki/Desktop/C_EasyMetrics");
transcript = Transcript();

/* Synapses */
sourceCode
	to: metrics
	send: commentRatio to: transcript;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleEcho">exampleEcho
	"KSU.SynapseInterpreter exampleEcho."

	| aStream scriptString |
	aStream := (String new writeStream)
				nextPutAll: '/* Assignments */';
				nextPutAll: 'value = Value("You executed ''exampleEcho'' on ';
				nextPutAll: Date today printString;
				nextPutAll: ' ';
				nextPutAll: Time now printString;
				nextPutAll: '");';
				nextPutAll: 'echo = Metrics("/Users/Miyazaki/Desktop/Echo");';
				nextPutAll: 'transcript = Transcript();';
				nextPutAll: '/* Synapses */';
				nextPutAll: 'value';
				nextPutAll: '	to: echo;';
				nextPutAll: 'echo';
				nextPutAll: '	to: transcript;';
				nextPutAll: 'echo';
				nextPutAll: '	to: transcript;';
				nextPutAll: 'echo';
				nextPutAll: '	to: transcript;';
				yourself.
	scriptString := aStream contents.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleWriteToFile">exampleWriteToFile
	"KSU.SynapseInterpreter exampleWriteToFile."

	| scriptString |
	scriptString := '
/* Assignments */
hogeString = Value("This is sample hoge string!!
hogehoge.");
file = File("/Users/Miyazaki/Desktop/hogeWrite.txt", "write");
transcript = Transcript();

/* Synapses */
hogeString
	to: file;
hogeString
	to: transcript;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleReadFromFile">exampleReadFromFile
	"KSU.SynapseInterpreter exampleReadFromFile."

	| scriptString |
	scriptString := '
/* Assignments */
file = File("/Users/Miyazaki/Desktop/hoge.txt", "read");
transcript = Transcript();

/* Synapses */
file
	to: transcript;
'.
	^scriptString</body>

<body package="KSU-Synapse" selector="exampleMetrics3">exampleMetrics3
	"KSU.SynapseInterpreter exampleMetrics3."

	| scriptString |
	scriptString := '
/* Assignments */
sourceFile = File("/Users/Miyazaki/Desktop/main2.c", "read");
metrics = Metrics("/Users/Miyazaki/Desktop/C_EasyMetrics");
transcript = Transcript();

/* Synapses */
sourceFile
	to: metrics
	send: linesOfCode to: transcript;
'.
	^scriptString</body>
</methods>

<methods>
<class-id>SynapseInterpreter class</class-id> <category>execution</category>

<body package="KSU-Synapse" selector="script:">script: scriptString

	| anInterpreter |
	anInterpreter := (self new)
				evaluate: scriptString;
				yourself.
	^anInterpreter execute</body>
</methods>

<methods>
<class-id>SynapseInterpreter class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>
</methods>

<methods>
<class-id>SynapseInterpreter class</class-id> <category>examples - startup</category>

<body package="KSU-Synapse" selector="exampleCodeSpaghettiForStartup">exampleCodeSpaghettiForStartup
	"KSU.SynapseInterpreter exampleCodeSpaghettiForStartup."

	| aFilename scriptString |
	aFilename := Filename defaultDirectory construct: './path/to/Results/CodeSpaghetti.jpg'.
	scriptString := '
/*** Assignments ***/
sourceFile	       = File("./path/to/Programs/source.c", "read");
htmlFile           = File("./path/to/Results/CodeSpaghetti.html", "write");
imageFilename      = Value("'
				, aFilename asString
					, '");
fileCopy           = Metrics("./path/to/Plugins/FileCopy");
easyMetrics        = Metrics("./path/to/Plugins/C_EasyMetrics");
division           = Metrics("./path/to/Plugins/Division2");
lpf2WaitTime       = Metrics("./path/to/Plugins/LinesPerFunction2WaitTime");
id2Spaghetti       = Metrics("./path/to/Plugins/IdLength2SpaghettiName");
indent2Variability = Metrics("./path/to/Plugins/IndentDifference2VariabilityOfBoilingTime");
comment2OliveOil   = Metrics("./path/to/Plugins/CommentRatio2OliveOil");
codeSpaghetti      = Metrics("./path/to/Plugins/CodeSpaghetti");
timeUnit           = Value("minutes");
number2Time_1      = Metrics("./path/to/Plugins/Number2Time");
number2Time_2      = Metrics("./path/to/Plugins/Number2Time");

/*** Synapses ***/
sourceFile
    to: easyMetrics;
easyMetrics
    send: effectiveLOC to: division.dividend
    send: quotient     to: lpf2WaitTime
    to: number2Time_1.value
    to: codeSpaghetti.waitTime;
easyMetrics
    send: numberOfFunctions to: division.divisor;
easyMetrics
    send: averageLengthOfId to: id2Spaghetti
    send: spaghettiName     to: codeSpaghetti.spaghettiName;
easyMetrics
    send: indentDifference to: indent2Variability
    to: number2Time_2.value
    to: codeSpaghetti.variability;
easyMetrics
    send: commentRatio to: comment2OliveOil
    to: codeSpaghetti.oliveOil;
id2Spaghetti
    send: spaghettiImage to: fileCopy.source;
imageFilename
    to: fileCopy.destination;
imageFilename
    to: codeSpaghetti.imageFile;
timeUnit
    to: number2Time_1.unit;
timeUnit
    to: number2Time_2.unit;
codeSpaghetti
    to: htmlFile;
'.
	KSU.SynapseInterpreter script: scriptString.
	KSU.ShellInterpreter shellScript: 'open ./path/to/Results/CodeSpaghetti.html'.
	^scriptString</body>
</methods>


<methods>
<class-id>SynapseInterpreter</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="currentProgramNode:">currentProgramNode: programNode

	currentProgramNode := programNode</body>

<body package="KSU-Synapse" selector="variableDictionary">variableDictionary

	variableDictionary ifNil: [variableDictionary := Dictionary new].
	^variableDictionary</body>

<body package="KSU-Synapse" selector="currentScript:">currentScript: scriptString

	currentScript := scriptString.
	scriptString
		ifNil: [self currentProgramNode: nil]
		ifNotNil: 
			[| aScanner aParser programNode |
			aScanner := self defaultScannerClass scan: scriptString.
			aParser := self defaultParserClass parse: aScanner tokenCollection.
			programNode := aParser programNode.
			programNode symbol = aParser defaultCorrectProgramNodeSymbol
				ifTrue: [self currentProgramNode: aParser programNode]
				ifFalse: 
					[self error: 'Parse error. Invalid program node. (' , programNode symbol printString , ')']]</body>

<body package="KSU-Synapse" selector="currentProgramNode">currentProgramNode

	^currentProgramNode</body>

<body package="KSU-Synapse" selector="evaluatedScripts">evaluatedScripts

	evaluatedScripts ifNil: [evaluatedScripts := OrderedCollection new].
	^evaluatedScripts</body>

<body package="KSU-Synapse" selector="currentScript">currentScript

	^currentScript</body>
</methods>

<methods>
<class-id>SynapseInterpreter</class-id> <category>evaluating</category>

<body package="KSU-Synapse" selector="evaluate:">evaluate: scriptString

	self currentScript: scriptString.
	self evaluateAssignments.
	self evaluateSynapses.
	self currentScript: nil</body>

<body package="KSU-Synapse" selector="evaluateSynapses">evaluateSynapses

	| synapseNodes |
	synapseNodes := OrderedCollection new.
	self currentProgramNode allNodesDo: 
			[:aNode |
			(aNode isInnerNode and: [aNode symbol = self defaultSynapseNodeSymbol])
				ifTrue: [synapseNodes add: aNode]].
	synapseNodes do: 
			[:synapseNode |
			| connections |
			connections := self connectionsOf: synapseNode.
			connections do: 
					[:associations |
					| fromVariableName fromNeuron fromPort toVariableName toNeuron toPort |
					fromVariableName := associations key key.
					fromNeuron := self variableDictionary at: fromVariableName
								ifAbsent: [self error: 'Undefined variable ''' , fromVariableName , '''.'].
					fromPort := associations key value
								ifNil: [self defaultNeuronClass defaultOutputPort]
								ifNotNil: [:aString | aString asSymbol].
					toVariableName := associations value key.
					toNeuron := self variableDictionary at: toVariableName
								ifAbsent: [self error: 'Undefined variable ''' , toVariableName , '''.'].
					toPort := associations value value
								ifNil: [self defaultNeuronClass defaultInputPort]
								ifNotNil: [:aString | aString asSymbol].
					fromNeuron connect: fromPort toNeuron: toNeuron port: toPort]]</body>

<body package="KSU-Synapse" selector="evaluateAssignments">evaluateAssignments

	| assignmentNodes |
	assignmentNodes := OrderedCollection new.
	self currentProgramNode allNodesDo: 
			[:aNode |
			(aNode isInnerNode and: [aNode symbol = self defaultAssignmentNodeSymbol])
				ifTrue: [assignmentNodes add: aNode]].
	assignmentNodes do: 
			[:assignmentNode |
			| variableName aNeuron |
			variableName := self variableNameOf: assignmentNode.
			aNeuron := self createNeuronFrom: assignmentNode.
			self variableDictionary add: variableName -&gt; aNeuron]</body>
</methods>

<methods>
<class-id>SynapseInterpreter</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="defaultSynapseNodeSymbol">defaultSynapseNodeSymbol

	^#Synapse</body>

<body package="KSU-Synapse" selector="defaultNeuronClass">defaultNeuronClass

	^KSU.SynapseNeuron</body>

<body package="KSU-Synapse" selector="defaultAssignmentNodeSymbol">defaultAssignmentNodeSymbol

	^#Assignment</body>

<body package="KSU-Synapse" selector="defaultParserClass">defaultParserClass

	^KSU.SynapseParser</body>

<body package="KSU-Synapse" selector="defaultScannerClass">defaultScannerClass

	^KSU.SynapseScanner</body>
</methods>

<methods>
<class-id>SynapseInterpreter</class-id> <category>private</category>

<body package="KSU-Synapse" selector="headVariableNodeOf:">headVariableNodeOf: synapseNode

	^synapseNode subNodes first</body>

<body package="KSU-Synapse" selector="connectionsOf:">connectionsOf: synapseNode

	| connections headVariableNode mappingCollection fromVariableName fromMemberName toVariableName toMemberName |
	connections := OrderedCollection new.
	headVariableNode := self headVariableNodeOf: synapseNode.
	mappingCollection := OrderedCollection new.
	synapseNode allNodesDo: 
			[:aNode |
			(aNode isInnerNode and: [aNode symbol = #Mapping])
				ifTrue: [mappingCollection add: aNode]].
	headVariableNode subNodes size = 1
		ifTrue: 
			[fromVariableName := headVariableNode subNode subNode token tokenString.
			fromMemberName := nil]
		ifFalse: 
			[fromVariableName := headVariableNode subNodes first subNode token tokenString.
			fromMemberName := headVariableNode subNodes last subNode token tokenString].
	mappingCollection do: 
			[:mappingNode |
			| variableNode |
			mappingNode subNodes size = 4
				ifTrue: 
					[| memberNameNode |
					memberNameNode := mappingNode subNodes at: 2.
					fromMemberName := memberNameNode subNode token tokenString].
			variableNode := mappingNode subNodes last.
			variableNode subNodes size = 1
				ifTrue: 
					[toVariableName := variableNode subNode subNode token tokenString.
					toMemberName := nil]
				ifFalse: 
					[toVariableName := variableNode subNodes first subNode token tokenString.
					toMemberName := variableNode subNodes last subNode token tokenString].
			connections add: fromVariableName -&gt; fromMemberName -&gt; (toVariableName -&gt; toMemberName).
			fromVariableName := toVariableName.
			fromMemberName := nil].
	^connections</body>

<body package="KSU-Synapse" selector="variableNameOf:">variableNameOf: assignmentNode

	| variableNameNode idNode |
	variableNameNode := assignmentNode subNodes first.
	idNode := variableNameNode subNode.
	^idNode token tokenString</body>

<body package="KSU-Synapse" selector="createNeuronFrom:">createNeuronFrom: assignmentNode

	| constructorNode aNeuron |
	constructorNode := assignmentNode subNodes last.
	aNeuron := self defaultNeuronClass fromConstructorNode: constructorNode.
	^aNeuron</body>
</methods>

<methods>
<class-id>SynapseInterpreter</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="initialize">initialize

	variableDictionary := nil.
	evaluatedScripts := nil.
	currentScript := nil.
	currentProgramNode := nil</body>
</methods>

<methods>
<class-id>SynapseInterpreter</class-id> <category>execution</category>

<body package="KSU-Synapse" selector="execute">execute

	self variableDictionary
		do: [:aNeuron | aNeuron isHeadNeuron ifTrue: [aNeuron action]]</body>
</methods>


<methods>
<class-id>SynapseParser class</class-id> <category>examples</category>

<body package="KSU-Synapse" selector="example3">example3
	"KSU.SynapseParser example3."

	| aScanner aStream aParser |
	aScanner := KSU.SynapseScanner example4.
	aStream := KSU.SynapseTokenStream tokens: aScanner tokenCollection.
	aParser := KSU.SynapseParser parseOn: aStream.
	^aParser</body>

<body package="KSU-Synapse" selector="example1">example1
	"KSU.SynapseParser example1."

	| aScanner aStream aParser |
	aScanner := KSU.SynapseScanner example7.
	aStream := KSU.SynapseTokenStream tokens: aScanner tokenCollection.
	aParser := KSU.SynapseParser parseOn: aStream.
	^aParser</body>

<body package="KSU-Synapse" selector="example2">example2
	"KSU.SynapseParser example2."

	| aScanner aStream aParser |
	aScanner := KSU.SynapseScanner example5.
	aStream := KSU.SynapseTokenStream tokens: aScanner tokenCollection.
	aParser := KSU.SynapseParser parseOn: aStream.
	^aParser</body>
</methods>

<methods>
<class-id>SynapseParser class</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="defaultBlockTableClass">defaultBlockTableClass

	^KSU.SynapseParseBlockTable</body>

<body package="KSU-Synapse" selector="defaultParseStreamClass">defaultParseStreamClass

	^KSU.SynapseTokenStream</body>

<body package="KSU-Synapse" selector="defaultParseNodeClass">defaultParseNodeClass

	^KSU.SynapseParseNode</body>

<body package="KSU-Synapse" selector="defaultParseTableClass">defaultParseTableClass

	^KSU.SynapseParseTable</body>
</methods>

<methods>
<class-id>SynapseParser class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>

<body package="KSU-Synapse" selector="parse:">parse: tokenCollection

	^self parseOn: (self defaultParseStreamClass tokens: tokenCollection)</body>

<body package="KSU-Synapse" selector="parseOn:">parseOn: aStream

	^(self new)
		parseOn: aStream;
		yourself</body>
</methods>


<methods>
<class-id>SynapseParser</class-id> <category>private-parsing</category>

<body package="KSU-Synapse" selector="_parse">_parse

	| currentToken currentAction |
	self push: self initialState.
	currentToken := self peekToken.
	currentAction := self parseTable at: self currentState tokenSymbol: currentToken symbol.
	[currentAction isNotCompleted] whileTrue: 
			[| nextAction |
			nextAction := nil.
			currentAction isShift
				ifTrue: 
					[nextAction := self parseTable at: self currentState tokenSymbol: currentToken symbol.
					self push: currentAction nextState.
					self nextToken.
					currentToken := self peekToken].
			currentAction isReduce
				ifTrue: 
					[self stack removeLast: currentAction reductionSymbols size.
					nextAction := self parseTable at: self currentState tokenSymbol: currentAction nextSymbol].
			currentAction isAccept ifTrue: [].
			currentAction isError ifTrue: [].
			nextAction ifNotNil: [currentAction := nextAction]]
	"[currentAction isAccept or: [currentAction isError]] whileFalse: []"</body>

<body package="KSU-Synapse" selector="parse">parse

	| aBoolean |
	self pushState: self initialState.
	aBoolean := true.
	[aBoolean] whileTrue: 
			[| currentAction nextAction |
			currentAction := self parseTable at: self currentState tokenSymbol: self peekToken symbol.
			nextAction := nil.
			currentAction isShift
				ifTrue: 
					[self pushState: currentAction nextState.
					self pushNode: (self class defaultParseNodeClass token: self peekToken).
					self nextToken].
			currentAction isReduce
				ifTrue: 
					[| numberOfReduction nodeCollection |
					numberOfReduction := currentAction reductionSymbols size.
					self popState: numberOfReduction.
					nodeCollection := self popNode: numberOfReduction.
					self pushNode: (self class defaultParseNodeClass symbol: currentAction nextSymbol subNodes: nodeCollection).
					nextAction := self parseTable at: self currentState tokenSymbol: currentAction nextSymbol.
					self pushState: nextAction nextState].
			(currentAction isAccept or: [currentAction isError])
				ifTrue: 
					[| nodeCollection programNodeSymbol parseNodeClass |
					self popAllState.
					nodeCollection := self popAllNode.
					programNodeSymbol := currentAction isAccept
								ifTrue: [self defaultCorrectProgramNodeSymbol]
								ifFalse: [self defaultInvalidProgramNodeSymbol].
					parseNodeClass := self class defaultParseNodeClass.
					self programNode: (parseNodeClass symbol: programNodeSymbol subNodes: nodeCollection).
					self pushNode: self programNode].
			currentAction isCompleted ifTrue: [aBoolean := false].
			nextAction ifNotNil: [currentAction := nextAction]]</body>
</methods>

<methods>
<class-id>SynapseParser</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="parseTable">parseTable

	parseTable ifNil: [parseTable := self class defaultParseTableClass new].
	^parseTable</body>

<body package="KSU-Synapse" selector="programNode">programNode

	^programNode</body>

<body package="KSU-Synapse" selector="programNode:">programNode: aNode

	programNode := aNode</body>
</methods>

<methods>
<class-id>SynapseParser</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="defaultInvalidProgramNodeSymbol">defaultInvalidProgramNodeSymbol

	^#InvalidProgram</body>

<body package="KSU-Synapse" selector="initialState">initialState

	^#state0</body>

<body package="KSU-Synapse" selector="defaultCorrectProgramNodeSymbol">defaultCorrectProgramNodeSymbol

	^#Program</body>
</methods>

<methods>
<class-id>SynapseParser</class-id> <category>accessing-stream</category>

<body package="KSU-Synapse" selector="parseStream">parseStream

	parseStream ifNil: [parseStream := self class defaultParseStreamClass new].
	^parseStream</body>

<body package="KSU-Synapse" selector="parseStream:">parseStream: aStream

	parseStream := aStream</body>
</methods>

<methods>
<class-id>SynapseParser</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="parseOn:">parseOn: aStream

	self
		parseStream: aStream;
		parse;
		yourself</body>
</methods>

<methods>
<class-id>SynapseParser</class-id> <category>accessing-parse</category>

<body package="KSU-Synapse" selector="nextToken">nextToken

	^self parseStream nextToken</body>

<body package="KSU-Synapse" selector="reset">reset

	^self parseStream reset</body>

<body package="KSU-Synapse" selector="next">next

	^self parseStream next</body>

<body package="KSU-Synapse" selector="peekToken">peekToken

	^self parseStream peekToken</body>
</methods>

<methods>
<class-id>SynapseParser</class-id> <category>accessing-stack</category>

<body package="KSU-Synapse" selector="popAllNode">popAllNode

	^self nodeStack removeAll</body>

<body package="KSU-Synapse" selector="currentState">currentState

	^self stateStack last</body>

<body package="KSU-Synapse" selector="popState:">popState: aNumber

	^self stateStack removeLast: aNumber</body>

<body package="KSU-Synapse" selector="stateStack">stateStack

	stateStack ifNil: [stateStack := OrderedCollection new].
	^stateStack</body>

<body package="KSU-Synapse" selector="popAllState">popAllState

	^self stateStack removeAll</body>

<body package="KSU-Synapse" selector="popNode">popNode

	^self nodeStack removeLast</body>

<body package="KSU-Synapse" selector="popState">popState

	^self stateStack removeLast</body>

<body package="KSU-Synapse" selector="nodeStack">nodeStack

	nodeStack ifNil: [nodeStack := OrderedCollection new].
	^nodeStack</body>

<body package="KSU-Synapse" selector="popNode:">popNode: aNumber

	^self nodeStack removeLast: aNumber</body>

<body package="KSU-Synapse" selector="pushState:">pushState: stateSymbol

	self stateStack addLast: stateSymbol</body>

<body package="KSU-Synapse" selector="pushNode:">pushNode: aNode

	self nodeStack addLast: aNode</body>
</methods>


<methods>
<class-id>SynapseTokenStream class</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="defaultTokenClass">defaultTokenClass

	^KSU.SynapseToken</body>
</methods>

<methods>
<class-id>SynapseTokenStream class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>

<body package="KSU-Synapse" selector="tokens:">tokens: tokenCollection

	^(self new)
		tokens: tokenCollection;
		yourself</body>
</methods>


<methods>
<class-id>SynapseTokenStream</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="tokenCollection">tokenCollection

	tokenCollection ifNil: [tokenCollection := OrderedCollection new].
	^tokenCollection</body>

<body package="KSU-Synapse" selector="currentIndex">currentIndex

	currentIndex ifNil: [currentIndex := 1].
	^currentIndex</body>

<body package="KSU-Synapse" selector="currentIndex:">currentIndex: anInteger

	currentIndex := anInteger</body>

<body package="KSU-Synapse" selector="tokenCollection:">tokenCollection: aCollection

	tokenCollection := aCollection</body>
</methods>

<methods>
<class-id>SynapseTokenStream</class-id> <category>stream operation</category>

<body package="KSU-Synapse" selector="reset">reset

	self currentIndex: 1</body>

<body package="KSU-Synapse" selector="next">next

	self currentIndex: self currentIndex + 1</body>
</methods>

<methods>
<class-id>SynapseTokenStream</class-id> <category>accessing-stream</category>

<body package="KSU-Synapse" selector="nextToken">nextToken

	| aToken |
	self currentIndex &gt; self tokenCollection size ifTrue: [^nil].
	aToken := self tokenCollection at: self currentIndex.
	self next.
	^aToken</body>

<body package="KSU-Synapse" selector="peekToken">peekToken

	self currentIndex &gt; self tokenCollection size ifTrue: [^nil].
	^self tokenCollection at: self currentIndex</body>
</methods>

<methods>
<class-id>SynapseTokenStream</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="tokens:">tokens: aTokenCollection

	aTokenCollection addLast: self class defaultTokenClass acceptanceToken.
	self tokenCollection: aTokenCollection</body>
</methods>


<methods>
<class-id>SynapseParseBlockTable class</class-id> <category>examples</category>

<body package="KSU-Synapse" selector="example">example
	"KSU.SynapseParseBlockTable example."

	^self new</body>
</methods>

<methods>
<class-id>SynapseParseBlockTable class</class-id> <category>default blocks</category>

<body package="KSU-Synapse" selector="Assignment_to_VariableName_GETS_Constructor">Assignment_to_VariableName_GETS_Constructor

	^[:aVariableName :aGETS :aConstructor | 'Assignment(' , aVariableName , ', ' , aGETS , ', ' , aConstructor , ')']</body>

<body package="KSU-Synapse" selector="Arguments_to_Arguments_COMMA_Argument">Arguments_to_Arguments_COMMA_Argument

	^[:anArguments :aCOMMA :anArgument | 'Arguments(' , anArguments , ', ' , aCOMMA , ', ' , anArgument , ')']</body>

<body package="KSU-Synapse" selector="Program_to_Statements">Program_to_Statements

	^[:aStatements | 'Program(' , aStatements , ')']</body>

<body package="KSU-Synapse" selector="Statement_to_Synapse_SEMICOLON">Statement_to_Synapse_SEMICOLON

	^[:aSynapse :aSEMICOLON | 'Statement(' , aSynapse , ', ' , aSEMICOLON , ')']</body>

<body package="KSU-Synapse" selector="Variable_to_VariableName_PERIOD_MemberName">Variable_to_VariableName_PERIOD_MemberName

	^[:aVariableName :aPERIOD :aMemberName | 'Variable(' , aVariableName , ', ' , aPERIOD , ', ' , aMemberName , ')']</body>

<body package="KSU-Synapse" selector="ConstructorName_to_ID">ConstructorName_to_ID

	^[:anID | 'ConstructorName(' , anID , ')']</body>

<body package="KSU-Synapse" selector="Synapse_to_Variable_Mappings">Synapse_to_Variable_Mappings

	^[:aVariable :aMappings | 'Synapse(' , aVariable , ', ' , aMappings , ')']</body>

<body package="KSU-Synapse" selector="Statements_to_Statement">Statements_to_Statement

	^[:aStatement | 'Statements(' , aStatement , ')']</body>

<body package="KSU-Synapse" selector="Argument_to_STRING">Argument_to_STRING

	^[:aSTRING | 'Argument(' , aSTRING , ')']</body>

<body package="KSU-Synapse" selector="MemberName_to_ID">MemberName_to_ID

	^[:anID | 'MemberName(' , anID , ')']</body>

<body package="KSU-Synapse" selector="Statement_to_Comment">Statement_to_Comment

	^[:aComment | 'Statement(' , aComment , ')']</body>

<body package="KSU-Synapse" selector="Constructor_to_ConstructorName_LPAR_Arguments_RPAR">Constructor_to_ConstructorName_LPAR_Arguments_RPAR

	^
	[:aConstructorName :aLPAR :aArguments :aRPAR |
	'Constructor(' , aConstructorName , ', ' , aLPAR , ', ' , aArguments , ', '
		, aRPAR , ')']</body>

<body package="KSU-Synapse" selector="Statement_to_Assignments_SEMICOLON">Statement_to_Assignments_SEMICOLON

	^[:anAssignments :aSEMICOLON | 'Statement(' , anAssignments , ', ' , aSEMICOLON , ')']</body>

<body package="KSU-Synapse" selector="VariableName_to_ID">VariableName_to_ID

	^[:anID | 'VariableName(' , anID , ')']</body>

<body package="KSU-Synapse" selector="Mappings_to_Mappings_Mapping">Mappings_to_Mappings_Mapping

	^[:aMappings :aMapping | 'Mappings(' , aMappings , ',' , aMapping , ')']</body>

<body package="KSU-Synapse" selector="Mapping_to_TO_Variable">Mapping_to_TO_Variable

	^[:aTO :aVariable | 'Mapping(' , aTO , ',' , aVariable , ')']</body>

<body package="KSU-Synapse" selector="Statements_to_Statements_Statement">Statements_to_Statements_Statement

	^[:aStatements :aStatement | 'Statements(' , aStatements , ', ' , aStatement , ')']</body>

<body package="KSU-Synapse" selector="Mapping_to_SEND_MemberName_TO_Variable">Mapping_to_SEND_MemberName_TO_Variable

	^[:aSEND :aMemberName :aTO :aVariable | 'Mapping(' , aSEND , ', ' , aMemberName , ', ' , aTO , ',' , aVariable , ')']</body>

<body package="KSU-Synapse" selector="Variable_to_VariableName">Variable_to_VariableName

	^[:aVariableName | 'Variable(' , aVariableName , ')']</body>

<body package="KSU-Synapse" selector="Constructor_to_ConstructorName_LPAR_RPAR">Constructor_to_ConstructorName_LPAR_RPAR

	^[:aConstructorName :aLPAR :aRPAR | 'Constructor(' , aConstructorName , ', ' , aLPAR , ', ' , aRPAR , ')']</body>

<body package="KSU-Synapse" selector="Comment_to_COMMENT">Comment_to_COMMENT

	^[:aCOMMENT | 'Comment(' , aCOMMENT , ')']</body>

<body package="KSU-Synapse" selector="Arguments_to_Argument">Arguments_to_Argument

	^[:anArgument | 'Arguments(' , anArgument , ')']</body>

<body package="KSU-Synapse" selector="Mappings_to_Mapping">Mappings_to_Mapping

	^[:aMapping | 'Mappings(' , aMapping , ')']</body>
</methods>

<methods>
<class-id>SynapseParseBlockTable class</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="mapCollection">mapCollection

	^(OrderedCollection new)
		add: #Program_to_Statements -&gt; #Program_to_Statements;
		add: #Statements_to_ -&gt; #Statements_to_;
		add: #Statements_to_Statement -&gt; #Statements_to_Statement;
		add: #Statements_to_Statements_Statement -&gt; #Statements_to_Statements_Statement;
		add: #Statement_to_Assignment_SEMICOLON -&gt; #Statement_to_Assignment_SEMICOLON;
		add: #Statement_to_Synapse_SEMICOLON -&gt; #Statement_to_Synapse_SEMICOLON;
		add: #Statement_to_Comment -&gt; #Statement_to_Comment;
		add: #Assignment_to_VariableName_GETS_Constructor
					-&gt; #Assignment_to_VariableName_GETS_Constructor;
		add: #Synapse_to_Variable_Mappings -&gt; #Synapse_to_Variable_Mappings;
		add: #Mappings_to_Mapping -&gt; #Mappings_to_Mapping;
		add: #Mappings_to_Mappings_Mapping -&gt; #Mappings_to_Mappings_Mapping;
		add: #Mapping_to_TO_Variable -&gt; #Mapping_to_TO_Variable;
		add: #Mapping_to_SEND_MemberName_TO_Variable
					-&gt; #Mapping_to_SEND_MemberName_TO_Variable;
		add: #Variable_to_VariableName -&gt; #Variable_to_VariableName;
		add: #Variable_to_VariableName_PERIOD_MemberName
					-&gt; #Variable_to_VariableName_PERIOD_MemberName;
		add: #VariableName_to_ID -&gt; #VariableName_to_ID;
		add: #MemberName_to_ID -&gt; #MemberName_to_ID;
		add: #Constructor_to_ConstructorName_LPAR_RPAR
					-&gt; #Constructor_to_ConstructorName_LPAR_RPAR;
		add: #Constructor_to_ConstructorName_LPAR_Arguments_RPAR
					-&gt; #Constructor_to_ConstructorName_LPAR_Arguments_RPAR;
		add: #ConstructorName_to_ID -&gt; #ConstructorName_to_ID;
		add: #Arguments_to_Argument -&gt; #Arguments_to_Argument;
		add: #Arguments_to_Arguments_COMMA_Argument
					-&gt; #Arguments_to_Arguments_COMMA_Argument;
		add: #Argument_to_STRING -&gt; #Argument_to_STRING;
		add: #Comment -&gt; #Comment;
		yourself</body>
</methods>

<methods>
<class-id>SynapseParseBlockTable class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>
</methods>


<methods>
<class-id>SynapseParseBlockTable</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="blockTable">blockTable

	blockTable ifNil: [blockTable := OrderedCollection new].
	^blockTable</body>

<body package="KSU-Synapse" selector="symbol:">symbol: aSymbol

	| symbolAndBlock pairOfSymbol aBlock |
	symbolAndBlock := self blockTable
				detect: [:anAssociation | anAssociation key = aSymbol]
				ifNone: [nil].
	symbolAndBlock ifNotNil: [^symbolAndBlock value].
	pairOfSymbol := self class mapCollection
				detect: [:anAssociation | anAssociation key = aSymbol]
				ifNone: [nil].
	pairOfSymbol ifNil: [^nil].
	aBlock := self class perform: pairOfSymbol value.
	aBlock ifNil: [^nil].
	self blockTable add: pairOfSymbol value -&gt; aBlock.
	^aBlock</body>

<body package="KSU-Synapse" selector="block:symbol:">block: aBlock symbol: aSymbol

	self blockTable add: aSymbol -&gt; aBlock</body>
</methods>

<methods>
<class-id>SynapseParseBlockTable</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="initialize">initialize

	blockTable := nil</body>
</methods>


<methods>
<class-id>SynapseScannerState class</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="mapCollection">mapCollection

	^(OrderedCollection new)
		add: #initial -&gt; #initial;
		add: #ID -&gt; #id;
		add: #idOrTo_t -&gt; #idOrTo_t;
		add: #idOrTo_to -&gt; #idOrTo_to;
		add: #TO -&gt; #to;
		add: #idOrSend_s -&gt; #idOrSend_s;
		add: #idOrSend_se -&gt; #idOrSend_se;
		add: #idOrSend_sen -&gt; #idOrSend_sen;
		add: #idOrSend_send -&gt; #idOrSend_send;
		add: #SEND -&gt; #send;
		add: #GETS -&gt; #gets;
		add: #SEMICOLON -&gt; #semicolon;
		add: #PERIOD -&gt; #period;
		add: #LPAR -&gt; #lpar;
		add: #RPAR -&gt; #rpar;
		add: #COMMA -&gt; #comma;
		add: #string_quoted -&gt; #string_quoted;
		add: #string_escaped -&gt; #string_escaped;
		add: #STRING -&gt; #string;
		add: #comment_slash -&gt; #comment_slash;
		add: #comment_firstAsterisk -&gt; #comment_firstAsterisk;
		add: #comment_asterisk -&gt; #comment_asterisk;
		add: #COMMENT -&gt; #comment;
		yourself</body>

<body package="KSU-Synapse" selector="selectorDictionary">selectorDictionary

	^(Dictionary new)
		add: #initial -&gt; #initial;
		add: #ID -&gt; #id;
		add: #idOrTo_t -&gt; #idOrTo_t;
		add: #idOrTo_to -&gt; #idOrTo_to;
		add: #TO -&gt; #to;
		add: #idOrSend_s -&gt; #idOrSend_s;
		add: #idOrSend_se -&gt; #idOrSend_se;
		add: #idOrSend_sen -&gt; #idOrSend_sen;
		add: #idOrSend_send -&gt; #idOrSend_send;
		add: #SEND -&gt; #send;
		add: #GETS -&gt; #gets;
		add: #SEMICOLON -&gt; #semicolon;
		add: #PERIOD -&gt; #period;
		add: #LPAR -&gt; #lpar;
		add: #RPAR -&gt; #rpar;
		add: #COMMA -&gt; #comma;
		add: #string_quoted -&gt; #string_quoted;
		add: #string_escaped -&gt; #string_escaped;
		add: #STRING -&gt; #string;
		add: #comment_slash -&gt; #comment_slash;
		add: #comment_firstAsterisk -&gt; #comment_firstAsterisk;
		add: #comment_asterisk -&gt; #comment_asterisk;
		add: #COMMENT -&gt; #comment;
		yourself</body>
</methods>

<methods>
<class-id>SynapseScannerState class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="state:">state: aSymbol

	^(self new)
		state: aSymbol;
		yourself</body>
</methods>


<methods>
<class-id>SynapseScannerState</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="inputBlock:">inputBlock: aBlock

	inputBlock := aBlock</body>

<body package="KSU-Synapse" selector="isTerminal:">isTerminal: aBoolean

	isTerminal := aBoolean</body>

<body package="KSU-Synapse" selector="terminalSymbol">terminalSymbol

	^terminalSymbol</body>

<body package="KSU-Synapse" selector="inputBlock">inputBlock

	inputBlock ifNil: [inputBlock := [:aCharacter | #unknown]].
	^inputBlock</body>

<body package="KSU-Synapse" selector="symbol:">symbol: aSymbol

	symbol := aSymbol</body>

<body package="KSU-Synapse" selector="isTerminal">isTerminal

	^isTerminal</body>

<body package="KSU-Synapse" selector="isUnknown">isUnknown

	^self symbol = #unknown</body>

<body package="KSU-Synapse" selector="symbol">symbol

	^symbol</body>

<body package="KSU-Synapse" selector="terminalSymbol:">terminalSymbol: aSymbol

	terminalSymbol := aSymbol</body>
</methods>

<methods>
<class-id>SynapseScannerState</class-id> <category>testing</category>

<body package="KSU-Synapse" selector="input:withNextCharacter:">input: aCharacter withNextCharacter: nextCharacter

	^self inputBlock value: aCharacter value: nextCharacter</body>
</methods>

<methods>
<class-id>SynapseScannerState</class-id> <category>initialize state</category>

<body package="KSU-Synapse" selector="to">to

	^self
		symbol: #TO;
		terminalSymbol: #TO;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="initial">initial

	^self
		symbol: #initial;
		terminalSymbol: #initial;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $= ifTrue: [aSymbol := #GETS].
				aCharacter = $; ifTrue: [aSymbol := #SEMICOLON].
				aCharacter = $. ifTrue: [aSymbol := #PERIOD].
				aCharacter = $( ifTrue: [aSymbol := #LPAR].
				aCharacter = $) ifTrue: [aSymbol := #RPAR].
				aCharacter = $, ifTrue: [aSymbol := #COMMA].
				aCharacter = $" ifTrue: [aSymbol := #string_quoted].
				aCharacter = $/ ifTrue: [aSymbol := #comment_slash].
				aCharacter = $t ifTrue: [aSymbol := #idOrTo_t].
				aCharacter = $s ifTrue: [aSymbol := #idOrSend_s].
				aCharacter = $_ ifTrue: [aSymbol := #ID].
				aCharacter isSeparator ifTrue: [aSymbol := #initial].
				(aSymbol = #unknown and: [aCharacter isAlphabetic]) ifTrue: [aSymbol := #ID].
				aSymbol yourself];
		isTerminal: false;
		yourself</body>

<body package="KSU-Synapse" selector="idOrSend_send">idOrSend_send

	^self
		symbol: #idOrSend_send;
		terminalSymbol: #ID;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $: ifTrue: [aSymbol := #SEND].
				aCharacter = $_ ifTrue: [aSymbol := #ID].
				aCharacter isAlphaNumeric ifTrue: [aSymbol := #ID].
				aSymbol yourself];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="string_escaped">string_escaped

	^self
		symbol: #string_escaped;
		terminalSymbol: #unacceptable;
		inputBlock: [:aCharacter :nextCharacter | #string_quoted];
		isTerminal: false;
		yourself</body>

<body package="KSU-Synapse" selector="gets">gets

	^self
		symbol: #GETS;
		terminalSymbol: #GETS;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="idOrSend_sen">idOrSend_sen

	^self
		symbol: #idOrSend_sen;
		terminalSymbol: #ID;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $d ifTrue: [aSymbol := #idOrSend_send].
				(aSymbol = #unknown and: [aCharacter = $_ or: [aCharacter isAlphaNumeric]])
					ifTrue: [aSymbol := #ID].
				aSymbol yourself];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="idOrTo_to">idOrTo_to

	^self
		symbol: #idOrTo_to;
		terminalSymbol: #ID;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $: ifTrue: [aSymbol := #TO].
				aCharacter = $_ ifTrue: [aSymbol := #ID].
				aCharacter isAlphaNumeric ifTrue: [aSymbol := #ID].
				aSymbol yourself];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="period">period

	^self
		symbol: #PERIOD;
		terminalSymbol: #PERIOD;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="comment_asterisk">comment_asterisk

	^self
		symbol: #comment_asterisk;
		terminalSymbol: #unacceptable;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $* ifTrue: [aSymbol := #comment_asterisk].
				aCharacter = $/ ifTrue: [aSymbol := #COMMENT].
				(aCharacter ~= $* and: [aCharacter ~= $/])
					ifTrue: [aSymbol := #comment_firstAsterisk].
				aSymbol yourself];
		isTerminal: false;
		yourself</body>

<body package="KSU-Synapse" selector="lpar">lpar

	^self
		symbol: #LPAR;
		terminalSymbol: #LPAR;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="idOrSend_se">idOrSend_se

	^self
		symbol: #idOrSend_se;
		terminalSymbol: #ID;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $n ifTrue: [aSymbol := #idOrSend_sen].
				(aSymbol = #unknown and: [aCharacter = $_ or: [aCharacter isAlphaNumeric]])
					ifTrue: [aSymbol := #ID].
				aSymbol yourself];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="idOrTo_t">idOrTo_t

	^self
		symbol: #idOrTo_t;
		terminalSymbol: #ID;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $o ifTrue: [aSymbol := #idOrTo_to].
				(aSymbol = #unknown and: [aCharacter = $_ or: [aCharacter isAlphaNumeric]])
					ifTrue: [aSymbol := #ID].
				aSymbol yourself];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="_initial">_initial

	^self
		symbol: #initial;
		terminalSymbol: #initial;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol aBlock |
				aSymbol := #unknown.
				aBlock := [:anAssociate | anAssociate key = aCharacter ifTrue: [aSymbol := anAssociate value]].
				(OrderedCollection new)
					add: $= -&gt; #GETS;
					add: $; -&gt; #SEMICOLON;
					add: $. -&gt; #PERIOD;
					add: $( -&gt; #LPAR;
					add: $) -&gt; #RPAR;
					add: $, -&gt; #COMMA;
					add: $" -&gt; #string_quoted;
					add: $/ -&gt; #comment_slash;
					add: $t -&gt; #idOrTo_t;
					add: $s -&gt; #idOrSend_s;
					add: $_ -&gt; #ID;
					do: aBlock.
				(aSymbol = #unknown and: [aCharacter isAlphabetic]) ifTrue: [aSymbol := #ID].
				aSymbol yourself];
		isTerminal: false;
		yourself</body>

<body package="KSU-Synapse" selector="comment">comment

	^self
		symbol: #COMMENT;
		terminalSymbol: #COMMENT;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="comment_firstAsterisk">comment_firstAsterisk

	^self
		symbol: #comment_firstAsterisk;
		terminalSymbol: #unacceptable;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $* ifTrue: [aSymbol := #comment_asterisk].
				aCharacter ~= $* ifTrue: [aSymbol := #comment_firstAsterisk].
				aSymbol yourself];
		isTerminal: false;
		yourself</body>

<body package="KSU-Synapse" selector="semicolon">semicolon

	^self
		symbol: #SEMICOLON;
		terminalSymbol: #SEMICOLON;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="string_quoted">string_quoted

	^self
		symbol: #string_quoted;
		terminalSymbol: #unacceptable;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aCharacter = $"
					ifTrue: 
						[nextCharacter = $"
							ifTrue: [aSymbol := #string_escaped]
							ifFalse: [aSymbol := #STRING]]
					ifFalse: [aSymbol := #string_quoted].
				aSymbol yourself];
		isTerminal: false;
		yourself</body>

<body package="KSU-Synapse" selector="id">id

	^self
		symbol: #ID;
		terminalSymbol: #ID;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $_ ifTrue: [aSymbol := #ID].
				aCharacter isAlphaNumeric ifTrue: [aSymbol := #ID].
				aSymbol yourself];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="send">send

	^self
		symbol: #SEND;
		terminalSymbol: #SEND;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="comment_slash">comment_slash

	^self
		symbol: #comment_slash;
		terminalSymbol: #unacceptable;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $* ifTrue: [aSymbol := #comment_firstAsterisk].
				aSymbol yourself];
		isTerminal: false;
		yourself</body>

<body package="KSU-Synapse" selector="idOrSend_s">idOrSend_s

	^self
		symbol: #idOrSend_s;
		terminalSymbol: #ID;
		inputBlock: 
				[:aCharacter :nextCharacter |
				| aSymbol |
				aSymbol := #unknown.
				aCharacter = $e ifTrue: [aSymbol := #idOrSend_se].
				(aSymbol = #unknown and: [aCharacter = $_ or: [aCharacter isAlphaNumeric]])
					ifTrue: [aSymbol := #ID].
				aSymbol yourself];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="comma">comma

	^self
		symbol: #COMMA;
		terminalSymbol: #COMMA;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="string">string

	^self
		symbol: #STRING;
		terminalSymbol: #STRING;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="rpar">rpar

	^self
		symbol: #RPAR;
		terminalSymbol: #RPAR;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: true;
		yourself</body>

<body package="KSU-Synapse" selector="unknown">unknown

	^self
		symbol: #unknown;
		terminalSymbol: #unknown;
		inputBlock: [:aCharacter :nextCharacter | #unknown];
		isTerminal: false;
		yourself</body>
</methods>

<methods>
<class-id>SynapseScannerState</class-id> <category>printing</category>

<body package="KSU-Synapse" selector="printString">printString

	| aStream |
	aStream := String new writeStream.
	aStream
		nextPutAll: self class name;
		nextPutAll: ' state: ';
		nextPutAll: self symbol printString;
		yourself.
	^aStream contents</body>
</methods>

<methods>
<class-id>SynapseScannerState</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="_state:">_state: aSymbol

	| mapCollection |
	mapCollection := self class mapCollection.
	mapCollection do: [:aMap | aMap key = aSymbol ifTrue: [^self perform: aMap value]].
	^self perform: #unknown</body>

<body package="KSU-Synapse" selector="state:">state: aSymbol

	| aSelector |
	aSelector := self class selectorDictionary at: aSymbol ifAbsent: [#unknown].
	^self perform: aSelector</body>
</methods>


<methods>
<class-id>SynapseScanner class</class-id> <category>examples</category>

<body package="KSU-Synapse" selector="example3">example3
	"KSU.SynapseScanner example3."

	| aScanner |
	aScanner := KSU.SynapseScanner
				scan: 'sourceFile = File("/path/to/sourceFile");
headerFile = File("/path/to/headerFile");'.
	^aScanner</body>

<body package="KSU-Synapse" selector="example6">example6
	"KSU.SynapseScanner example6."

	| aScanner |
	aScanner := KSU.SynapseScanner scan: 'to = send();'.
	^aScanner</body>

<body package="KSU-Synapse" selector="example1">example1
	"KSU.SynapseScanner example1."

	| aScanner |
	aScanner := KSU.SynapseScanner
				scan: 'aFile=File("/path/to/File");aFile to: aFile.name;'.
	^aScanner</body>

<body package="KSU-Synapse" selector="example5">example5
	"KSU.SynapseScanner example5."

	| aScanner |
	aScanner := KSU.SynapseScanner
				scan: 'sourceFile = File("/path/to/sourceFile");
headerFile = File("/path/to/headerFile");
metrics1 = Metrics("/path/to/metrics1", "value1", "value2");
metrics2 = Metrics("/path/to/metrics2");
metrics3 = Metrics("/path/to/metrics3");
metrics4 = Metrics("/path/to/metrics4");
transcript = Transcript();
transcript2 = Transcript("transcript2");

/*** ほげ ***//*** ほげ ***/

sourceFile
    to: metrics1
    to: metrics4.inputA
    to: transcript;
metrics1
    to: metrics4.inputB;
sourceFile
    to: metrics2.source
    send: outputA to: metrics4.inputC;
metrics2.outputB
    to: metrics3
    send: outputA to: metrics4.inputD;
metrics3.outputB
    to: transcript;
metrics3
    send: outputB to: transcript2;'.
	^aScanner</body>

<body package="KSU-Synapse" selector="example9">example9
	"KSU.SynapseScanner example9."

	| aScanner |
	aScanner := KSU.SynapseScanner scan: 'hoge."hoge'.
	^aScanner</body>

<body package="KSU-Synapse" selector="example8">example8
	"KSU.SynapseScanner example8."

	| aScanner |
	aScanner := KSU.SynapseScanner scan: 'transcript
  
'.
	^aScanner</body>

<body package="KSU-Synapse" selector="example11">example11
	"KSU.SynapseScanner example11."

	| aScanner |
	aScanner := KSU.SynapseScanner scan: '"hog""e"'.
	^aScanner</body>

<body package="KSU-Synapse" selector="example7">example7
	"KSU.SynapseScanner example7."

	| aScanner |
	aScanner := KSU.SynapseScanner
				scan: 'transcript = Transcript("hoge");
transcript send: output to: transcript.input;'.
	^aScanner</body>

<body package="KSU-Synapse" selector="example4">example4
	"KSU.SynapseScanner example4."

	| aScanner |
	aScanner := KSU.SynapseScanner scan: 'x=F();."jo few";;'.
	^aScanner</body>

<body package="KSU-Synapse" selector="example2">example2
	"KSU.SynapseScanner example2."

	| aScanner |
	aScanner := KSU.SynapseScanner scan: 'xx = F("abc"); y to: z;'.
	^aScanner</body>

<body package="KSU-Synapse" selector="example10">example10
	"KSU.SynapseScanner example10."

	| aScanner |
	aScanner := KSU.SynapseScanner scan: '"hog""e".'.
	^aScanner</body>
</methods>

<methods>
<class-id>SynapseScanner class</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="defaultTableClass">defaultTableClass

	^KSU.SynapseScannerTable</body>

<body package="KSU-Synapse" selector="defaultTokenClass">defaultTokenClass

	^KSU.SynapseToken</body>
</methods>

<methods>
<class-id>SynapseScanner class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="scanOn:">scanOn: aStream

	^(self new)
		scanOn: aStream;
		yourself</body>

<body package="KSU-Synapse" selector="scan:">scan: aString

	^self scanOn: aString readStream</body>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>
</methods>


<methods>
<class-id>SynapseScanner</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="initialize">initialize

	scanStream := nil.
	tokenCollection := nil.
	transitionTable := nil</body>

<body package="KSU-Synapse" selector="scanOn:">scanOn: aStream

	self
		scanStream: aStream;
		scan;
		yourself</body>
</methods>

<methods>
<class-id>SynapseScanner</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="tokenCollection">tokenCollection

	tokenCollection ifNil: [tokenCollection := OrderedCollection new].
	^tokenCollection</body>

<body package="KSU-Synapse" selector="transitionTable">transitionTable

	transitionTable ifNil: [transitionTable := self class defaultTableClass new].
	^transitionTable</body>

<body package="KSU-Synapse" selector="scanStream">scanStream

	scanStream ifNil: [scanStream := ReadStream on: String new].
	^scanStream</body>

<body package="KSU-Synapse" selector="scanStream:">scanStream: aStream

	scanStream := aStream</body>
</methods>

<methods>
<class-id>SynapseScanner</class-id> <category>error handling</category>

<body package="KSU-Synapse" selector="scanError:character:">scanError: messageString character: aCharacter

	| aStream |
	aStream := String new writeStream.
	aStream nextPutAll: messageString.
	aCharacter
		ifNotNil: 
			[aStream
				nextPutAll: ' Near ''';
				nextPut: aCharacter;
				nextPutAll: '''';
				yourself].
	aStream nextPutAll: '.'.
	self scanError: aStream contents</body>

<body package="KSU-Synapse" selector="scanError:">scanError: messageString

	self error: messageString</body>
</methods>

<methods>
<class-id>SynapseScanner</class-id> <category>private-scanning</category>

<body package="KSU-Synapse" selector="transition:with:">transition: currentState with: aCharacter
	"This is for old 'scan' method."

	| aState nextSymbol nextState |
	aState := self transitionTable at: currentState symbol.
	nextSymbol := aState input: aCharacter.
	nextState := self transitionTable at: nextSymbol.
	^nextState</body>

<body package="KSU-Synapse" selector="transition:with:lookahead:">transition: currentState with: aCharacter lookahead: nextCharacter

	| aState nextSymbol nextState |
	aState := self transitionTable at: currentState symbol.
	nextSymbol := aState input: aCharacter withNextCharacter: nextCharacter.
	nextState := self transitionTable at: nextSymbol.
	^nextState</body>
</methods>

<methods>
<class-id>SynapseScanner</class-id> <category>private</category>

<body package="KSU-Synapse" selector="_scan">_scan
	"This is old 'STRING' type. See the document #10 and #39."

	| aStream currentState |
	aStream := String new writeStream.
	currentState := self transitionTable at: #initial.
	[self peekChar isNil not] whileTrue: 
			[| aCharacter nextState |
			aCharacter := self peekChar.
			nextState := self transition: currentState with: aCharacter.
			nextState isUnknown
				ifTrue: 
					[currentState isTerminal
						ifTrue: 
							[self intern: (self class defaultTokenClass string: aStream contents
										symbol: currentState terminalSymbol).
							currentState := self transitionTable at: #initial.
							aStream := String new writeStream]
						ifFalse: 
							[self scanError: 'Scan error near ' , currentState symbol printString
								character: aCharacter]]
				ifFalse: 
					[self nextChar.
					currentState := nextState.
					(aCharacter isSeparator and: [currentState symbol = #initial])
						ifFalse: [aStream nextPut: aCharacter]]].
	currentState isTerminal
		ifTrue: 
			[self intern: (self class defaultTokenClass string: aStream contents
						symbol: currentState terminalSymbol)]
		ifFalse: 
			[currentState symbol = #initial
				ifFalse: [self scanError: 'Scan error near ' , aStream contents character: nil]]</body>

<body package="KSU-Synapse" selector="peekChar">peekChar

	^self scanStream peek</body>

<body package="KSU-Synapse" selector="intern:">intern: aToken

	self tokenCollection add: aToken</body>

<body package="KSU-Synapse" selector="scan">scan
	"This 'scan' can Lookahead 1 character."

	| aStream currentState |
	aStream := String new writeStream.
	currentState := self transitionTable at: #initial.
	[self peekChar isNil not] whileTrue: 
			[| aCharacter nextCharacter nextState |
			aCharacter := self nextChar.
			nextCharacter := self peekChar.
			nextState := self
						transition: currentState
						with: aCharacter
						lookahead: nextCharacter.
			nextState isUnknown
				ifTrue: 
					[currentState isTerminal
						ifTrue: 
							[self intern: (self class defaultTokenClass string: aStream contents
										symbol: currentState terminalSymbol).
							aStream := String new writeStream.
							aCharacter isSeparator ifFalse: [aStream nextPut: aCharacter].
							currentState := self transitionTable at: #initial.
							currentState := self
										transition: currentState
										with: aCharacter
										lookahead: nextCharacter]
						ifFalse: 
							[self scanError: 'Scan error near ' , currentState symbol printString
								character: aCharacter]]
				ifFalse: 
					[currentState := nextState.
					(aCharacter isSeparator and: [currentState symbol = #initial])
						ifFalse: [aStream nextPut: aCharacter]]].
	currentState isTerminal
		ifTrue: 
			[self intern: (self class defaultTokenClass string: aStream contents
						symbol: currentState terminalSymbol)]
		ifFalse: 
			[currentState symbol = #initial
				ifFalse: [self scanError: 'Scan error near ' , aStream contents character: nil]]</body>

<body package="KSU-Synapse" selector="nextChar">nextChar

	^self scanStream next</body>
</methods>


<methods>
<class-id>SynapseParseTable class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>
</methods>

<methods>
<class-id>SynapseParseTable class</class-id> <category>examples</category>

<body package="KSU-Synapse" selector="example1">example1
	"KSU.SynapseParseTable example1."

	| aTable |
	aTable := KSU.SynapseParseTable new.
	^aTable</body>
</methods>


<methods>
<class-id>SynapseParseTable</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="at:">at: stateSymbol

	| aDictionary |
	aDictionary := self table at: stateSymbol ifAbsent: [nil].
	aDictionary ifNotNil: [^aDictionary].
	aDictionary := self defaultDictionary: stateSymbol.
	aDictionary ifNil: [^nil].
	self table at: stateSymbol put: aDictionary.
	^aDictionary</body>

<body package="KSU-Synapse" selector="table">table

	table ifNil: [table := Dictionary new].
	^table</body>

<body package="KSU-Synapse" selector="at:tokenSymbol:">at: stateSymbol tokenSymbol: tokenSymbol

	| aDictionary anAction |
	aDictionary := self at: stateSymbol.
	aDictionary ifNil: [^nil].
	anAction := aDictionary at: tokenSymbol ifAbsent: [self defaultActionClass errorAction].
	^anAction</body>
</methods>

<methods>
<class-id>SynapseParseTable</class-id> <category>defaults</category>

<body package="KSU-Synapse" selector="defaultActionClass">defaultActionClass

	^KSU.SynapseParseAction</body>

<body package="KSU-Synapse" selector="initialState">initialState

	^#state0</body>
</methods>

<methods>
<class-id>SynapseParseTable</class-id> <category>default dictionaries</category>

<body package="KSU-Synapse" selector="state23">state23

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass reduceAction: #(#Mapping) to: #Mappings);
		add: #TO -&gt; (self defaultActionClass reduceAction: #(#Mapping) to: #Mappings);
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#Mapping) to: #Mappings);
		yourself</body>

<body package="KSU-Synapse" selector="state35">state35

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass reduceAction: #(#VariableName) to: #Variable);
		add: #TO -&gt; (self defaultActionClass reduceAction: #(#VariableName) to: #Variable);
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#VariableName) to: #Variable);
		add: #PERIOD -&gt; (self defaultActionClass shiftAction: #state21);
		yourself</body>

<body package="KSU-Synapse" selector="state44">state44

	^(Dictionary new)
		add: #RPAR -&gt; (self defaultActionClass reduceAction: #(#Argument) to: #Arguments);
		add: #COMMA -&gt; (self defaultActionClass reduceAction: #(#Argument) to: #Arguments);
		yourself</body>

<body package="KSU-Synapse" selector="state42">state42

	^(Dictionary new)
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#ConstructorName #LPAR #RPAR) to: #Constructor);
		yourself</body>

<body package="KSU-Synapse" selector="state21">state21

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass shiftAction: #state30);
		add: #MemberName -&gt; (self defaultActionClass shiftAction: #state29);
		yourself</body>

<body package="KSU-Synapse" selector="state8">state8

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass reduceAction: #(#ID) to: #VariableName);
		add: #TO -&gt; (self defaultActionClass reduceAction: #(#ID) to: #VariableName);
		add: #GETS -&gt; (self defaultActionClass reduceAction: #(#ID) to: #VariableName);
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#ID) to: #VariableName);
		add: #PERIOD -&gt; (self defaultActionClass reduceAction: #(#ID) to: #VariableName);
		yourself</body>

<body package="KSU-Synapse" selector="state39">state39

	^(Dictionary new)
		add: #RPAR -&gt; (self defaultActionClass shiftAction: #state42);
		add: #STRING -&gt; (self defaultActionClass shiftAction: #state45);
		add: #Arguments -&gt; (self defaultActionClass shiftAction: #state43);
		add: #Argument -&gt; (self defaultActionClass shiftAction: #state44);
		yourself</body>

<body package="KSU-Synapse" selector="state19">state19

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass reduceAction: #(#Synapse #SEMICOLON) to: #Statement);
		add: #COMMENT -&gt; (self defaultActionClass reduceAction: #(#Synapse #SEMICOLON) to: #Statement);
		add: #acceptance -&gt; (self defaultActionClass reduceAction: #(#Synapse #SEMICOLON) to: #Statement);
		yourself</body>

<body package="KSU-Synapse" selector="state5">state5

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass reduceAction: #(#Comment) to: #Statement);
		add: #COMMENT -&gt; (self defaultActionClass reduceAction: #(#Comment) to: #Statement);
		add: #acceptance -&gt; (self defaultActionClass reduceAction: #(#Comment) to: #Statement);
		yourself</body>

<body package="KSU-Synapse" selector="state31">state31

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass reduceAction: #(#Mappings #Mapping) to: #Mappings);
		add: #TO -&gt; (self defaultActionClass reduceAction: #(#Mappings #Mapping) to: #Mappings);
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#Mappings #Mapping) to: #Mappings);
		yourself</body>

<body package="KSU-Synapse" selector="state10">state10

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass reduceAction: #(#Statements #Statement) to: #Statements);
		add: #COMMENT -&gt; (self defaultActionClass reduceAction: #(#Statements #Statement) to: #Statements);
		add: #acceptance -&gt; (self defaultActionClass reduceAction: #(#Statements #Statement) to: #Statements);
		yourself</body>

<body package="KSU-Synapse" selector="state41">state41

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass shiftAction: #state8);
		add: #Variable -&gt; (self defaultActionClass shiftAction: #state46);
		add: #VariableName -&gt; (self defaultActionClass shiftAction: #state35);
		yourself</body>

<body package="KSU-Synapse" selector="state20">state20

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass shiftAction: #state28);
		add: #Constructor -&gt; (self defaultActionClass shiftAction: #state26);
		add: #ConstructorName -&gt; (self defaultActionClass shiftAction: #state27);
		yourself</body>

<body package="KSU-Synapse" selector="state37">state37

	^(Dictionary new)
		add: #TO -&gt; (self defaultActionClass shiftAction: #state41);
		yourself</body>

<body package="KSU-Synapse" selector="state18">state18

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass reduceAction: #(#Assignment #SEMICOLON) to: #Statement);
		add: #COMMENT -&gt; (self defaultActionClass reduceAction: #(#Assignment #SEMICOLON) to: #Statement);
		add: #acceptance -&gt; (self defaultActionClass reduceAction: #(#Assignment #SEMICOLON) to: #Statement);
		yourself</body>

<body package="KSU-Synapse" selector="selectorDictionary">selectorDictionary

	selectorDictionary ifNotNil: [^selectorDictionary].
	selectorDictionary := (Dictionary new)
				add: #state0 -&gt; #state0;
				add: #state1 -&gt; #state1;
				add: #state2 -&gt; #state2;
				add: #state3 -&gt; #state3;
				add: #state4 -&gt; #state4;
				add: #state5 -&gt; #state5;
				add: #state6 -&gt; #state6;
				add: #state7 -&gt; #state7;
				add: #state8 -&gt; #state8;
				add: #state9 -&gt; #state9;
				add: #state10 -&gt; #state10;
				add: #state18 -&gt; #state18;
				add: #state19 -&gt; #state19;
				add: #state20 -&gt; #state20;
				add: #state21 -&gt; #state21;
				add: #state22 -&gt; #state22;
				add: #state23 -&gt; #state23;
				add: #state24 -&gt; #state24;
				add: #state25 -&gt; #state25;
				add: #state26 -&gt; #state26;
				add: #state27 -&gt; #state27;
				add: #state28 -&gt; #state28;
				add: #state29 -&gt; #state29;
				add: #state30 -&gt; #state30;
				add: #state31 -&gt; #state31;
				add: #state34 -&gt; #state34;
				add: #state35 -&gt; #state35;
				add: #state37 -&gt; #state37;
				add: #state39 -&gt; #state39;
				add: #state41 -&gt; #state41;
				add: #state42 -&gt; #state42;
				add: #state43 -&gt; #state43;
				add: #state44 -&gt; #state44;
				add: #state45 -&gt; #state45;
				add: #state46 -&gt; #state46;
				add: #state48 -&gt; #state48;
				add: #state49 -&gt; #state49;
				add: #state50 -&gt; #state50;
				yourself.
	^selectorDictionary</body>

<body package="KSU-Synapse" selector="state6">state6

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass reduceAction: #(#VariableName) to: #Variable);
		add: #TO -&gt; (self defaultActionClass reduceAction: #(#VariableName) to: #Variable);
		add: #GETS -&gt; (self defaultActionClass shiftAction: #state20);
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#VariableName) to: #Variable);
		add: #PERIOD -&gt; (self defaultActionClass shiftAction: #state21);
		yourself</body>

<body package="KSU-Synapse" selector="state30">state30

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass reduceAction: #(#ID) to: #MemberName);
		add: #TO -&gt; (self defaultActionClass reduceAction: #(#ID) to: #MemberName);
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#ID) to: #MemberName);
		yourself</body>

<body package="KSU-Synapse" selector="defaultDictionary:">defaultDictionary: stateSymbol

	| aSelector aDictionary |
	aSelector := self selectorDictionary at: stateSymbol ifAbsent: [nil].
	aSelector ifNil: [^nil].
	aDictionary := self perform: aSelector.
	^aDictionary</body>

<body package="KSU-Synapse" selector="state7">state7

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass shiftAction: #state25);
		add: #TO -&gt; (self defaultActionClass shiftAction: #state24);
		add: #Mappings -&gt; (self defaultActionClass shiftAction: #state22);
		add: #Mapping -&gt; (self defaultActionClass shiftAction: #state23);
		yourself</body>

<body package="KSU-Synapse" selector="state0">state0

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass shiftAction: #state8);
		add: #COMMENT -&gt; (self defaultActionClass shiftAction: #state9);
		add: #Statements -&gt; (self defaultActionClass shiftAction: #state1);
		add: #Statement -&gt; (self defaultActionClass shiftAction: #state2);
		add: #Assignment -&gt; (self defaultActionClass shiftAction: #state3);
		add: #Synapse -&gt; (self defaultActionClass shiftAction: #state4);
		add: #Variable -&gt; (self defaultActionClass shiftAction: #state7);
		add: #VariableName -&gt; (self defaultActionClass shiftAction: #state6);
		add: #Comment -&gt; (self defaultActionClass shiftAction: #state5);
		yourself</body>

<body package="KSU-Synapse" selector="state28">state28

	^(Dictionary new)
		add: #LPAR -&gt; (self defaultActionClass reduceAction: #(#ID) to: #ConstructorName);
		yourself</body>

<body package="KSU-Synapse" selector="state3">state3

	^(Dictionary new)
		add: #SEMICOLON -&gt; (self defaultActionClass shiftAction: #state18);
		yourself</body>

<body package="KSU-Synapse" selector="state49">state49

	^(Dictionary new)
		add: #STRING -&gt; (self defaultActionClass shiftAction: #state45);
		add: #Argument -&gt; (self defaultActionClass shiftAction: #state50);
		yourself</body>

<body package="KSU-Synapse" selector="state26">state26

	^(Dictionary new)
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#VariableName #GETS #Constructor) to: #Assignment);
		yourself</body>

<body package="KSU-Synapse" selector="state46">state46

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass reduceAction: #(#SEND #MemberName #TO #Variable) to: #Mapping);
		add: #TO -&gt; (self defaultActionClass reduceAction: #(#SEND #MemberName #TO #Variable) to: #Mapping);
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#SEND #MemberName #TO #Variable) to: #Mapping);
		yourself</body>

<body package="KSU-Synapse" selector="state29">state29

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass reduceAction: #(#VariableName #PERIOD #MemberName) to: #Variable);
		add: #TO -&gt; (self defaultActionClass reduceAction: #(#VariableName #PERIOD #MemberName) to: #Variable);
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#VariableName #PERIOD #MemberName) to: #Variable);
		yourself</body>

<body package="KSU-Synapse" selector="state4">state4

	^(Dictionary new)
		add: #SEMICOLON -&gt; (self defaultActionClass shiftAction: #state19);
		yourself</body>

<body package="KSU-Synapse" selector="state50">state50

	^(Dictionary new)
		add: #RPAR -&gt; (self defaultActionClass reduceAction: #(#Arguments #COMMA #Argument) to: #Arguments);
		add: #COMMA -&gt; (self defaultActionClass reduceAction: #(#Arguments #COMMA #Argument) to: #Arguments);
		yourself</body>

<body package="KSU-Synapse" selector="state27">state27

	^(Dictionary new)
		add: #LPAR -&gt; (self defaultActionClass shiftAction: #state39);
		yourself</body>

<body package="KSU-Synapse" selector="state2">state2

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass reduceAction: #(#Statement) to: #Statements);
		add: #COMMENT -&gt; (self defaultActionClass reduceAction: #(#Statement) to: #Statements);
		add: #acceptance -&gt; (self defaultActionClass reduceAction: #(#Statement) to: #Statements);
		yourself</body>

<body package="KSU-Synapse" selector="state48">state48

	^(Dictionary new)
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#ConstructorName #LPAR #Arguments #RPAR) to: #Constructor);
		yourself</body>

<body package="KSU-Synapse" selector="state25">state25

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass shiftAction: #state30);
		add: #MemberName -&gt; (self defaultActionClass shiftAction: #state37);
		yourself</body>

<body package="KSU-Synapse" selector="state24">state24

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass shiftAction: #state8);
		add: #Variable -&gt; (self defaultActionClass shiftAction: #state34);
		add: #VariableName -&gt; (self defaultActionClass shiftAction: #state35);
		yourself</body>

<body package="KSU-Synapse" selector="state1">state1

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass shiftAction: #state8);
		add: #COMMENT -&gt; (self defaultActionClass shiftAction: #state9);
		add: #acceptance -&gt; self defaultActionClass acceptAction;
		add: #Statement -&gt; (self defaultActionClass shiftAction: #state10);
		add: #Assignment -&gt; (self defaultActionClass shiftAction: #state3);
		add: #Synapse -&gt; (self defaultActionClass shiftAction: #state4);
		add: #Variable -&gt; (self defaultActionClass shiftAction: #state7);
		add: #VariableName -&gt; (self defaultActionClass shiftAction: #state6);
		add: #Comment -&gt; (self defaultActionClass shiftAction: #state5);
		yourself</body>

<body package="KSU-Synapse" selector="state45">state45

	^(Dictionary new)
		add: #RPAR -&gt; (self defaultActionClass reduceAction: #(#STRING) to: #Argument);
		add: #COMMA -&gt; (self defaultActionClass reduceAction: #(#STRING) to: #Argument);
		yourself</body>

<body package="KSU-Synapse" selector="state22">state22

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass shiftAction: #state25);
		add: #TO -&gt; (self defaultActionClass shiftAction: #state24);
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#Variable #Mappings) to: #Synapse);
		add: #Mapping -&gt; (self defaultActionClass shiftAction: #state31);
		yourself</body>

<body package="KSU-Synapse" selector="state34">state34

	^(Dictionary new)
		add: #SEND -&gt; (self defaultActionClass reduceAction: #(#TO #Variable) to: #Mapping);
		add: #TO -&gt; (self defaultActionClass reduceAction: #(#TO #Variable) to: #Mapping);
		add: #SEMICOLON -&gt; (self defaultActionClass reduceAction: #(#TO #Variable) to: #Mapping);
		yourself</body>

<body package="KSU-Synapse" selector="state43">state43

	^(Dictionary new)
		add: #RPAR -&gt; (self defaultActionClass shiftAction: #state48);
		add: #COMMA -&gt; (self defaultActionClass shiftAction: #state49);
		yourself</body>

<body package="KSU-Synapse" selector="state9">state9

	^(Dictionary new)
		add: #ID -&gt; (self defaultActionClass reduceAction: #(#COMMENT) to: #Comment);
		add: #COMMENT -&gt; (self defaultActionClass reduceAction: #(#COMMENT) to: #Comment);
		add: #acceptance -&gt; (self defaultActionClass reduceAction: #(#COMMENT) to: #Comment);
		yourself</body>
</methods>

<methods>
<class-id>SynapseParseTable</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="initialize">initialize

	table := nil</body>
</methods>


<methods>
<class-id>SynapseParseAction class</class-id> <category>instance creation</category>

<body package="KSU-Synapse" selector="new">new

	^(super new)
		initialize;
		yourself</body>

<body package="KSU-Synapse" selector="errorAction">errorAction

	^self errorActionWithMessage: nil</body>

<body package="KSU-Synapse" selector="shiftAction:">shiftAction: stateSymbol

	^(self new)
		shiftAction: stateSymbol;
		yourself</body>

<body package="KSU-Synapse" selector="acceptAction">acceptAction

	^(self new)
		acceptAction;
		yourself</body>

<body package="KSU-Synapse" selector="errorActionWithMessage:">errorActionWithMessage: aString

	^(self new)
		errorActionWithMessage: aString;
		yourself</body>

<body package="KSU-Synapse" selector="reduceAction:to:">reduceAction: reductionSymbols to: aSymbol

	^(self new)
		reduceAction: reductionSymbols to: aSymbol;
		yourself</body>
</methods>


<methods>
<class-id>SynapseParseAction</class-id> <category>accessing</category>

<body package="KSU-Synapse" selector="nextState">nextState

	^nextState</body>

<body package="KSU-Synapse" selector="errorMessage">errorMessage

	^errorMessage</body>

<body package="KSU-Synapse" selector="nextSymbol">nextSymbol

	^nextSymbol</body>

<body package="KSU-Synapse" selector="reductionSymbols">reductionSymbols

	^reductionSymbols</body>
</methods>

<methods>
<class-id>SynapseParseAction</class-id> <category>testing</category>

<body package="KSU-Synapse" selector="isAccept">isAccept

	^actionType = #accept</body>

<body package="KSU-Synapse" selector="isError">isError

	^actionType = #error</body>

<body package="KSU-Synapse" selector="isCompleted">isCompleted

	^self isAccept or: [self isError]</body>

<body package="KSU-Synapse" selector="isReduce">isReduce

	^actionType = #reduce</body>

<body package="KSU-Synapse" selector="isNotCompleted">isNotCompleted

	^self isCompleted not</body>

<body package="KSU-Synapse" selector="isShift">isShift

	^actionType = #shift</body>
</methods>

<methods>
<class-id>SynapseParseAction</class-id> <category>initialize-release</category>

<body package="KSU-Synapse" selector="acceptAction">acceptAction

	actionType := #accept</body>

<body package="KSU-Synapse" selector="errorActionWithMessage:">errorActionWithMessage: aString

	actionType := #error.
	errorMessage := aString</body>

<body package="KSU-Synapse" selector="shiftAction:">shiftAction: stateSymbol

	actionType := #shift.
	nextState := stateSymbol</body>

<body package="KSU-Synapse" selector="reduceAction:to:">reduceAction: aCollection to: aSymbol

	actionType := #reduce.
	reductionSymbols := aCollection.
	nextSymbol := aSymbol</body>

<body package="KSU-Synapse" selector="initialize">initialize

	actionType := nil.
	nextState := nil.
	reductionSymbols := nil.
	nextSymbol := nil.
	errorMessage := nil</body>
</methods>



<component-created>
<name>KSU-Shell</name> <type>package</type>
</component-created><!-- Package KSU-Shell* -->


<component-property>
<name>KSU-Shell</name> <type>package</type>
<property>comment</property> <value>'Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.
'</value>
</component-property>

<class>
<name>ShellProcessManager</name>
<environment>KSU</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>processCollection </inst-vars>
<class-inst-vars>defaultManager </class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Shell</package>
</attributes>
</class>

<comment>
<class-id>KSU.ShellProcessManager</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.

I'm a class for management all ShellInterface's processes. And I'm a singleton object.
The class 'ShellInterface' create a process - it's an object called 'pipedProcess' - and register me the process. I stop the process and remove from my management collection when finished to use a ShellInterface object. It'll be pass away by GarbageCollect.
</body>
</comment>

<class>
<name>ShellInterpreter</name>
<environment>KSU</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>commandString interface </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Shell</package>
</attributes>
</class>

<comment>
<class-id>KSU.ShellInterpreter</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.

I'm an interpreter for Shell or other UNIX commands.
I create an ShellInterface object with command string for invoking scripts. And I send the scripts you inputted to the interface handle the command's process. You can get a string that is result of executing scripts.</body>
</comment>

<class>
<name>ShellInterface</name>
<environment>KSU</environment>
<super>External.ExternalInterface</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>commandString pipedProcess </inst-vars>
<class-inst-vars>beingRegistry </class-inst-vars>
<imports>
			private KSU.ShellInterfaceDictionary.*
			</imports>
<category>KSU-Shell</category>
<attributes>
<includeFiles><item>defines.h</item> <item>prototypes.h</item> <item>typedefs.h</item></includeFiles>
<includeDirectories><item>../../src</item> <item>../../src</item> <item>../../src</item></includeDirectories>
<libraryFiles><item>ShellInterface.dylib</item></libraryFiles>
<libraryDirectories><item>./</item></libraryDirectories>
<beVirtual>false</beVirtual>
<optimizationLevel>full</optimizationLevel>
<package>KSU-Shell</package>
</attributes>
</class>

<comment>
<class-id>KSU.ShellInterface</class-id>
<body>Copyright 2012 M.Miyazaki, Project Fukurou, KSU (Kyoto Sangyo University). All Rights Reserved.

I'm an interface to Shell or other UNIX commands for Smalltalk with DLLCC.
Please use through the class 'ShellInterpreter' as possible.</body>
</comment>

<shared-variable>
<name>ShellInterfaceDictionary</name>
<environment>KSU</environment>
<private>false</private>
<constant>false</constant>
<category>external dictionaries</category>
<attributes>
<package>KSU-Shell</package>
</attributes>
</shared-variable>


<shared-variable>
<name>TemporaryCollection</name>
<environment>KSU</environment>
<private>false</private>
<constant>false</constant>
<category>New Share</category>
<initializer>nil</initializer>
<attributes>
<package>KSU-Shell</package>
</attributes>
</shared-variable>

<initialize>
<variable-id>KSU.TemporaryCollection</variable-id>
</initialize>



<methods>
<class-id>KSU.ShellInterpreter class</class-id> <category>examples</category>

<body package="KSU-Shell" selector="example5">example5
	"KSU.ShellInterpreter example5."

	| aStream hundredOfPwd |
	aStream := String new writeStream.
	100 timesRepeat: [aStream nextPutAll: 'pwd;'].
	hundredOfPwd := aStream contents.
	^KSU.ShellInterpreter shellScript: hundredOfPwd</body>

<body package="KSU-Shell" selector="example4">example4
	"KSU.ShellInterpreter example4."

	^KSU.ShellInterpreter shellScript: 'pwd;pwd;pwd'</body>

<body package="KSU-Shell" selector="example2">example2
	"KSU.ShellInterpreter example2."

	^KSU.ShellInterpreter command: self defaultShellCommand</body>

<body package="KSU-Shell" selector="example3">example3
	"KSU.ShellInterpreter example3."

	^KSU.ShellInterpreter command: 'bash' evaluate: 'pwd'</body>

<body package="KSU-Shell" selector="example6">example6
	"KSU.ShellInterpreter example6."

	^KSU.ShellInterpreter shellScript: 'sleep 5'</body>

<body package="KSU-Shell" selector="example1">example1
	"KSU.ShellInterpreter example1."

	^KSU.ShellInterpreter shellScript: 'pwd'</body>
</methods>

<methods>
<class-id>KSU.ShellInterpreter class</class-id> <category>defaults</category>

<body package="KSU-Shell" selector="defaultInterfaceClass">defaultInterfaceClass

	^KSU.ShellInterface</body>

<body package="KSU-Shell" selector="defaultShellCommand">defaultShellCommand

	^'sh'</body>
</methods>

<methods>
<class-id>KSU.ShellInterpreter class</class-id> <category>instance creation</category>

<body package="KSU-Shell" selector="command:">command: commandString

	^(super new)
		initialize;
		commandString: commandString;
		interface: (self defaultInterfaceClass command: commandString);
		yourself</body>

<body package="KSU-Shell" selector="new">new

	^self command: self defaultShellCommand</body>
</methods>

<methods>
<class-id>KSU.ShellInterpreter class</class-id> <category>utilities</category>

<body package="KSU-Shell" selector="command:evaluate:">command: commandString evaluate: inputString

	| anInterpreter outputString |
	anInterpreter := self command: commandString.
	anInterpreter input: inputString.
	anInterpreter closeInputPipe.
	outputString := anInterpreter outputCompletely.
	^outputString</body>

<body package="KSU-Shell" selector="shellScript:">shellScript: scriptString

	^self command: self defaultShellCommand evaluate: scriptString</body>
</methods>


<methods>
<class-id>KSU.ShellInterpreter</class-id> <category>accessing</category>

<body package="KSU-Shell" selector="commandString">commandString

	commandString ifNil: [commandString := String new].
	^commandString</body>

<body package="KSU-Shell" selector="isActive">isActive

	^self interface isActive</body>

<body package="KSU-Shell" selector="commandString:">commandString: aString

	commandString := aString</body>

<body package="KSU-Shell" selector="interface:">interface: anInterface

	interface := anInterface</body>

<body package="KSU-Shell" selector="interface">interface

	interface
		ifNil: 
			[| aString |
			aString := self commandString.
			aString ifNil: [aString := self class defaultShellCommand].
			interface := self class defaultInterfaceClass command: aString].
	^interface</body>
</methods>

<methods>
<class-id>KSU.ShellInterpreter</class-id> <category>evaluating</category>

<body package="KSU-Shell" selector="evaluate:withDelay:">evaluate: inputString withDelay: aDelay

	| aStream outputString |
	aStream := (String new writeStream)
				nextPutAll: inputString;
				nextPut: Character cr;
				yourself.
	self input: aStream contents.
	aDelay wait.
	outputString := self output.
	^outputString</body>

<body package="KSU-Shell" selector="evaluate:">evaluate: inputString

	^self evaluate: inputString withDelay: self defaultDelay</body>

<body package="KSU-Shell" selector="evaluate:withMilliseconds:">evaluate: inputString withMilliseconds: milliseconds

	^self evaluate: inputString withDelay: (Delay forMilliseconds: milliseconds)</body>
</methods>

<methods>
<class-id>KSU.ShellInterpreter</class-id> <category>defaults</category>

<body package="KSU-Shell" selector="defaultDelay">defaultDelay

	^Delay forMilliseconds: 10</body>
</methods>

<methods>
<class-id>KSU.ShellInterpreter</class-id> <category>interface operation</category>

<body package="KSU-Shell" selector="closeErrorPipe">closeErrorPipe

	^self interface closeErrorPipe</body>

<body package="KSU-Shell" selector="outputCompletely">outputCompletely

	^self convertLF2CR: self interface outputCompletely</body>

<body package="KSU-Shell" selector="output">output

	^self convertLF2CR: self interface output</body>

<body package="KSU-Shell" selector="closeOutputPipe">closeOutputPipe

	^self interface closeOutputPipe</body>

<body package="KSU-Shell" selector="input:">input: inputString

	self interface input: (self convertCR2LF: inputString)</body>

<body package="KSU-Shell" selector="closeInputPipe">closeInputPipe

	^self interface closeInputPipe</body>
</methods>

<methods>
<class-id>KSU.ShellInterpreter</class-id> <category>initialize-release</category>

<body package="KSU-Shell" selector="initialize">initialize

	commandString := nil.
	interface := nil</body>
</methods>

<methods>
<class-id>KSU.ShellInterpreter</class-id> <category>text utilities</category>

<body package="KSU-Shell" selector="convertCR2CRLF:">convertCR2CRLF: inputString

	| inputStream outputStream |
	inputStream := inputString readStream.
	outputStream := String new writeStream.
	[inputStream atEnd] whileFalse: 
			[| aCharacter |
			aCharacter := inputStream next.
			outputStream nextPut: aCharacter.
			aCharacter = Character cr ifTrue: [outputStream nextPut: Character lf]].
	inputStream close.
	outputStream close.
	^outputStream contents</body>

<body package="KSU-Shell" selector="convertCRLF2LF:">convertCRLF2LF: inputString

	| inputStream outputStream |
	inputStream := inputString readStream.
	outputStream := String new writeStream.
	[inputStream atEnd] whileFalse: 
			[| aCharacter |
			aCharacter := inputStream next.
			aCharacter = Character cr ifFalse: [outputStream nextPut: aCharacter]].
	inputStream close.
	outputStream close.
	^outputStream contents</body>

<body package="KSU-Shell" selector="convertLF2CRLF:">convertLF2CRLF: inputString

	| inputStream outputStream |
	inputStream := inputString readStream.
	outputStream := String new writeStream.
	[inputStream atEnd] whileFalse: 
			[| aCharacter |
			aCharacter := inputStream next.
			aCharacter = Character lf ifTrue: [outputStream nextPut: Character cr].
			outputStream nextPut: aCharacter].
	inputStream close.
	outputStream close.
	^outputStream contents</body>

<body package="KSU-Shell" selector="convertCRLF2CR:">convertCRLF2CR: inputString

	| inputStream outputStream |
	inputStream := inputString readStream.
	outputStream := String new writeStream.
	[inputStream atEnd] whileFalse: 
			[| aCharacter |
			aCharacter := inputStream next.
			aCharacter = Character lf ifFalse: [outputStream nextPut: aCharacter]].
	inputStream close.
	outputStream close.
	^outputStream contents</body>

<body package="KSU-Shell" selector="convertLF2CR:">convertLF2CR: inputString

	| outputString |
	outputString := inputString
				collect: [:aCharacter | aCharacter = Character lf ifTrue: [Character cr] ifFalse: [aCharacter]].
	^outputString</body>

<body package="KSU-Shell" selector="convertCR2LF:">convertCR2LF: inputString

	| outputString |
	outputString := inputString
				collect: [:aCharacter | aCharacter = Character cr ifTrue: [Character lf] ifFalse: [aCharacter]].
	^outputString</body>
</methods>


<methods>
<class-id>KSU.ShellInterface class</class-id> <category>instance creation</category>

<body package="KSU-Shell" selector="command:">command: aString

	| anInterface aPipedProcess |
	anInterface := (super new)
				initialize;
				commandString: aString;
				yourself.
	beingRegistry ifNil: [beingRegistry := WeakDictionary new].
	beingRegistry at: anInterface hash put: anInterface.
	aPipedProcess := anInterface createProcess: anInterface commandString.
	^anInterface
		pipedProcess: aPipedProcess;
		yourself</body>
</methods>


<methods>
<class-id>KSU.ShellInterface</class-id> <category>accessing</category>

<body package="KSU-Shell" selector="pipedProcess">pipedProcess

	^pipedProcess</body>

<body package="KSU-Shell" selector="commandString">commandString

	^commandString</body>

<body package="KSU-Shell" selector="isActive">isActive

	^self pipedProcess isNil not</body>

<body package="KSU-Shell" selector="pipedProcess:">pipedProcess: aProcess

	pipedProcess := aProcess</body>

<body package="KSU-Shell" selector="commandString:">commandString: aString

	commandString := aString</body>
</methods>

<methods>
<class-id>KSU.ShellInterface</class-id> <category>defaults</category>

<body package="KSU-Shell" selector="defaultReadSize">defaultReadSize

	^1024</body>

<body package="KSU-Shell" selector="defaultEncoding">defaultEncoding

	^#UTF_8</body>

<body package="KSU-Shell" selector="defaultProcessManagerClass">defaultProcessManagerClass

	^KSU.ShellProcessManager</body>
</methods>

<methods>
<class-id>KSU.ShellInterface</class-id> <category>finalization</category>

<body package="KSU-Shell" selector="finalize">finalize

	self pipedProcess: nil.
	self defaultProcessManagerClass garbageCollect</body>
</methods>

<methods>
<class-id>KSU.ShellInterface</class-id> <category>types</category>

<body package="KSU-Shell" selector="PipedProcess">PipedProcess
	&lt;C: typedef struct {
			int processId, input, output, error;
		} PipedProcess&gt;</body>
</methods>

<methods>
<class-id>KSU.ShellInterface</class-id> <category>pipe operation</category>

<body package="KSU-Shell" selector="closeInputPipe">closeInputPipe

	self closePipe: (self pipedProcess memberAt: #input)</body>

<body package="KSU-Shell" selector="closeErrorPipe">closeErrorPipe

	self closePipe: (self pipedProcess memberAt: #error)</body>

<body package="KSU-Shell" selector="closeOutputPipe">closeOutputPipe

	self closePipe: (self pipedProcess memberAt: #output)</body>
</methods>

<methods>
<class-id>KSU.ShellInterface</class-id> <category>initialize-release</category>

<body package="KSU-Shell" selector="initialize">initialize

	commandString := nil.
	pipedProcess := nil</body>
</methods>

<methods>
<class-id>KSU.ShellInterface</class-id> <category>interface</category>

<body package="KSU-Shell" selector="input:">input: inputString

	self writeTo: (self pipedProcess memberAt: #input)
		with: (inputString asCStringEncoding: self defaultEncoding)</body>

<body package="KSU-Shell" selector="outputCompletely">outputCompletely

	| aStream aBoolean outputString |
	aStream := String new writeStream.
	aBoolean := true.
	[aBoolean] whileTrue: 
			[self output
				ifNil: [aBoolean := false]
				ifNotNil: 
					[:temporaryString |
					aStream nextPutAll: temporaryString.
					Processor yield]].
	outputString := aStream contents.
	aStream close.
	^outputString</body>

<body package="KSU-Shell" selector="createProcess:">createProcess: aString

	| aPipedProcess |
	aPipedProcess := self startProcess: aString.
	self defaultProcessManagerClass register: aPipedProcess.
	^aPipedProcess</body>

<body package="KSU-Shell" selector="output">output

	| aCollection isTerminal aBoolean byteArray outputString |
	aCollection := OrderedCollection new.
	isTerminal := false.
	aBoolean := true.
	[aBoolean] whileTrue: 
			[| aPointer temporaryArray |
			aPointer := self readFrom: (self pipedProcess memberAt: #output) with: self defaultReadSize.
			aPointer isNull
				ifTrue: 
					[isTerminal := true.
					aBoolean := false]
				ifFalse: 
					[temporaryArray := aPointer primCopyCStringFromHeap: aPointer datum pointerKind: aPointer type.
					temporaryArray isEmpty ifTrue: [aBoolean := false] ifFalse: [aCollection addAll: temporaryArray]]].
	byteArray := ByteArray new: aCollection size.
	aCollection doWithIndex: [:aByte :anIndex | byteArray at: anIndex put: aByte].
	outputString := (byteArray withEncoding: self defaultEncoding) readStream contents.
	(outputString isEmpty and: [isTerminal]) ifTrue: [^nil].
	^outputString</body>
</methods>

<methods>
<class-id>KSU.ShellInterface</class-id> <category>procedures</category>

<body package="KSU-Shell" selector="exitProcessWithoutWait:">exitProcessWithoutWait: aProcess
	&lt;C: void exitProcessWithoutWait(PipedProcess * aProcess)&gt;
	^self externalAccessFailedWith: _errorCode</body>

<body package="KSU-Shell" selector="touchFile:">touchFile: filename

	&lt;C: void  startProcess(const unsigned char * filename)&gt;
	^self externalAccessFailedWith: _errorCode</body>

<body package="KSU-Shell" selector="exitProcess:">exitProcess: aProcess
	&lt;C: int exitProcess(PipedProcess * aProcess)&gt;
	^self externalAccessFailedWith: _errorCode</body>

<body package="KSU-Shell" selector="closePipe:">closePipe: fileDescriptor
	&lt;C: void closePipe(int fileDescriptor)&gt;
	^self externalAccessFailedWith: _errorCode</body>

<body package="KSU-Shell" selector="readCharFrom:">readCharFrom: fileDescriptor

	&lt;C: const unsigned char *  readCharFrom(int fileDescriptor)&gt;
	^self externalAccessFailedWith: _errorCode</body>

<body package="KSU-Shell" selector="returnNull">returnNull

	&lt;C: int *  returnNull(void)&gt;
	^self externalAccessFailedWith: _errorCode</body>

<body package="KSU-Shell" selector="readFrom:with:">readFrom: fileDescriptor with: length

	&lt;C: const unsigned char *  readFrom(int fileDescriptor, int length)&gt;
	^self externalAccessFailedWith: _errorCode</body>

<body package="KSU-Shell" selector="sendEOF:">sendEOF: fileDescriptor

	&lt;C: int  sendEOF(int fileDescriptor)&gt;
	^self externalAccessFailedWith: _errorCode</body>

<body package="KSU-Shell" selector="startProcess:">startProcess: aString

	&lt;C: PipedProcess *  startProcess(const unsigned char * aString)&gt;
	^self externalAccessFailedWith: _errorCode</body>

<body package="KSU-Shell" selector="writeTo:with:">writeTo: fileDescriptor with: aString
	&lt;C: void writeTo(int fileDescriptor, const unsigned char * aString)&gt;
	^self externalAccessFailedWith: _errorCode</body>
</methods>


<methods>
<class-id>KSU.ShellProcessManager class</class-id> <category>process management</category>

<body package="KSU-Shell" selector="garbageCollect">garbageCollect

	self default garbageCollect</body>

<body package="KSU-Shell" selector="register:">register: aPipedProcess

	self default register: aPipedProcess</body>

<body package="KSU-Shell" selector="exit:">exit: aPipedProcess

	self default exit: aPipedProcess</body>
</methods>

<methods>
<class-id>KSU.ShellProcessManager class</class-id> <category>accessing</category>

<body package="KSU-Shell" selector="default">default

	defaultManager ifNil: [defaultManager := self new].
	^defaultManager</body>
</methods>


<methods>
<class-id>KSU.ShellProcessManager</class-id> <category>accessing</category>

<body package="KSU-Shell" selector="processCollection">processCollection

	processCollection ifNil: [processCollection := OrderedCollection new].
	^processCollection</body>
</methods>

<methods>
<class-id>KSU.ShellProcessManager</class-id> <category>defaults</category>

<body package="KSU-Shell" selector="defaultInterfaceClass">defaultInterfaceClass

	^KSU.ShellInterface</body>
</methods>

<methods>
<class-id>KSU.ShellProcessManager</class-id> <category>process management</category>

<body package="KSU-Shell" selector="register:">register: aPipedProcess

	self processCollection add: aPipedProcess</body>

<body package="KSU-Shell" selector="exit:">exit: aPipedProcess

	self defaultInterfaceClass new exitProcess: aPipedProcess.
	self processCollection remove: aPipedProcess</body>

<body package="KSU-Shell" selector="garbageCollect">garbageCollect

	| garbageCollection markBlock sweepBlock |
	garbageCollection := OrderedCollection new.
	markBlock :=
			[self processCollection do: 
					[:aPipedProcess |
					aPipedProcess allOwners
						detect: [:anOwner | anOwner class = self defaultInterfaceClass]
						ifNone: [garbageCollection add: aPipedProcess]]].
	sweepBlock :=
			[garbageCollection do: [:aPipedProcess | self exit: aPipedProcess]].
	markBlock value.
	sweepBlock value</body>
</methods>



<component-created>
<name>KSU-Tool</name> <type>package</type>
</component-created><!-- Package KSU-Tool* -->


<component-property>
<name>KSU-Tool</name> <type>package</type>
<property>comment</property> <value>'Copyright 2008-2012 KSU (Kyoto Sangyo University). All Right Reserved.'</value>
</component-property>

<class>
<name>TextDoclet</name>
<environment>KSU</environment>
<super>Core.Object</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>fromDirectory textFiles toDirectory htmlFiles </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category></category>
<attributes>
<package>KSU-Tool</package>
</attributes>
</class>

<comment>
<class-id>KSU.TextDoclet</class-id>
<body>Copyright 2008-2012 KSU (Kyoto Sangyo University). All Right Reserved.</body>
</comment>

<methods>
<class-id>KSU.TextDoclet class</class-id> <category>examples</category>

<body package="KSU-Tool" selector="example2">example2
	"KSU.TextDoclet example2."

	| classCollection aDoclet |
	classCollection := (Array with: TextDoclet with: Example with: ProgramManager)
				, (Array with: Point with: Rectangle with: LineSegment).
	aDoclet := TextDoclet codePrint: classCollection.
	^aDoclet</body>

<body package="KSU-Tool" selector="example1">example1
	"KSU.TextDoclet example1."

	| aDirectory aDoclet |
	JunUniFileModel requestDirectoryName
		ifNil: [^nil]
		ifNotNil: [:fileModel | aDirectory := fileModel asFilename].
	aDoclet := TextDoclet dive: aDirectory pattern: '*.java'.
	aDoclet generate.
	^aDoclet</body>
</methods>

<methods>
<class-id>KSU.TextDoclet class</class-id> <category>defaults</category>

<body package="KSU-Tool" selector="defaultDestinationDirectory">defaultDestinationDirectory
	"KSU.TextDoclet defaultDestinationDirectory."

	^JunSystem homeDirectory construct: 'Desktop'</body>

<body package="KSU-Tool" selector="defaultDivingLevel">defaultDivingLevel
	"KSU.TextDoclet defaultDivingLevel."

	^10</body>

<body package="KSU-Tool" selector="defaultTabStop">defaultTabStop
	"KSU.TextDoclet defaultTabStop."

	^4</body>

<body package="KSU-Tool" selector="defaultEncoding">defaultEncoding
	"KSU.TextDoclet defaultEncoding."

	^#UTF_8</body>
</methods>

<methods>
<class-id>KSU.TextDoclet class</class-id> <category>instance creation</category>

<body package="KSU-Tool" selector="dive:pattern:">dive: aDirectory pattern: aString

	| aDoclet |
	aDoclet := self new.
	aDoclet
		fromDirectory: aDirectory
		textFiles: (JunFileModel
				dive: aDirectory
				level: self defaultDivingLevel
				pattern: aString)
		toDirectory: (self defaultDestinationDirectory
				construct: aDirectory tail , '_' , (JunCalendarModel stringFromDateAndTime select: [:each | each isDigit])).
	^aDoclet</body>
</methods>

<methods>
<class-id>KSU.TextDoclet class</class-id> <category>utilities</category>

<body package="KSU-Tool" selector="codePrintStringOf:">codePrintStringOf: theClass
	"KSU.TextDoclet codePrintStringOf: KSU.TextDoclet."

	| aString |
	JunControlUtility
		assert: [(String new: 1024) writeStream]
		do: 
			[:aStream |
			self codePrintStringOf: theClass on: aStream.
			aString := aStream contents]
		ensure: [:aStream | (aStream respondsTo: #close) ifTrue: [aStream close]].
	^aString</body>

<body package="KSU-Tool" selector="codePrintStringOf:on:">codePrintStringOf: theClass on: theStream
	"KSU.TextDoclet codePrintStringOf: KSU.TextDoclet on: (Transcript clear; yourself)."

	| aBlock aString |
	aBlock :=
			[:aClass :aStream |
			| anOrganization aBoolean |
			80 timesRepeat: [aStream nextPutAll: '='].
			2 timesRepeat: [aStream cr].
			aStream nextPutAll: aClass definition.
			2 timesRepeat: [aStream cr].
			anOrganization := aClass organization.
			aBoolean := true.
			aClass selectors asSortedCollection do: 
					[:aSelector |
					| aCode |
					aBoolean
						ifTrue: 
							[80 timesRepeat: [aStream nextPutAll: '='].
							2 timesRepeat: [aStream cr].
							aBoolean := false]
						ifFalse: 
							[60 timesRepeat: [aStream nextPutAll: '-'].
							2 timesRepeat: [aStream cr]].
					aStream
						nextPutAll: aClass fullName;
						nextPutAll: ' method for ';
						nextPutAll: (anOrganization categoryOfElement: aSelector) asString printString.
					2 timesRepeat: [aStream cr].
					aCode := aClass sourceMethodAt: aSelector.
					aStream nextPutAll: aCode.
					2 timesRepeat: [aStream cr]]].
	JunControlUtility
		assert: [(String new: 1024) writeStream]
		do: 
			[:aStream |
			| aClass |
			aClass := theClass isMeta ifTrue: [theClass soleInstance] ifFalse: [theClass yourself].
			aBlock value: aClass value: aStream.
			aBlock value: aClass class value: aStream.
			80 timesRepeat: [aStream nextPutAll: '='].
			aStream cr.
			aString := aStream contents]
		ensure: [:aStream | (aStream respondsTo: #close) ifTrue: [aStream close]].
	theStream nextPutAll: aString.
	^aString</body>

<body package="KSU-Tool" selector="codePrint:">codePrint: classCollection
	"KSU.TextDoclet codePrint: (KSU.ProgramManager classes)."

	| aString aDirectory aCollection aDoclet |
	aString := String new.
	classCollection do: [:aClass | aString := aString , aClass name] separatedBy: [aString := aString , '_'].
	aString size &gt; 50 ifTrue: [aString := aString copyFrom: 1 to: 50].
	JunControlUtility
		assert: 
			[[(aDirectory := aString asFilename) exists] whileTrue: [aString := aString , '_'].
			aDirectory makeDirectory.
			aCollection := OrderedCollection new]
		do: 
			[classCollection do: 
					[:aClass |
					| aFilename |
					aString := aClass fullName collect: [:aCharacter | aCharacter = $. ifTrue: [$_] ifFalse: [aCharacter]].
					aFilename := aDirectory construct: aString , '.st'.
					aCollection add: aFilename.
					JunControlUtility
						assert: [(aFilename withEncoding: self defaultEncoding) writeStream]
						do: [:aStream | TextDoclet codePrintStringOf: aClass on: aStream]
						ensure: [:aStream | aStream close]].
			aDoclet := TextDoclet dive: aDirectory pattern: '*.st'.
			aDoclet generate]
		ensure: 
			[aCollection do: [:aFilename | aFilename delete].
			aDirectory delete].
	^aDoclet</body>
</methods>


<methods>
<class-id>KSU.TextDoclet</class-id> <category>generating</category>

<body package="KSU-Tool" selector="generateDirectory:">generateDirectory: targetDirectory

	| aCollection aDirectory aString |
	aCollection := OrderedCollection new.
	aDirectory := targetDirectory.
	aString := aDirectory asString.
	[aString ~= aDirectory head] whileTrue: 
			[aCollection addFirst: aDirectory.
			aDirectory := (aString := aDirectory head) asFilename].
	aCollection do: [:each | each exists ifFalse: [each makeDirectory]]</body>

<body package="KSU-Tool" selector="genarateHTMLs">genarateHTMLs

	| aCollection theLength aString aLength aFilename |
	aCollection := OrderedCollection new.
	theLength := fromDirectory asString size.
	textFiles do: 
			[:each |
			aString := each copyFrom: theLength + 2 to: each size.
			aLength := aString asFilename extension size.
			aString := aString copyFrom: 1 to: aString size - aLength.
			aString := aString , '.html'.
			aCollection add: aString.
			Transcript
				cr;
				show: aString.
			aFilename := toDirectory construct: aString.
			self convert: each asFilename to: aFilename].
	htmlFiles := aCollection asArray</body>

<body package="KSU-Tool" selector="generateDirectories">generateDirectories

	| aLength aString aFilename aDirectory |
	self generateDirectory: toDirectory.
	aLength := fromDirectory asString size.
	textFiles do: 
			[:each |
			aString := each copyFrom: aLength + 2 to: each size.
			aFilename := toDirectory construct: aString.
			aDirectory := aFilename head asFilename.
			self generateDirectory: aDirectory]</body>

<body package="KSU-Tool" selector="generate">generate

	Transcript
		cr;
		cr;
		cr;
		show: self class name , ' on ' , JunCalendarModel stringFromDate , ' at '
					, JunCalendarModel stringFromTime.
	self generateDirectories.
	self genarateHTMLs.
	self genarateIndexHTML</body>

<body package="KSU-Tool" selector="genarateIndexHTML">genarateIndexHTML

	| aCollection aFilename |
	aCollection := OrderedCollection new.
	htmlFiles do: 
			[:each |
			| pathCollection targetString |
			pathCollection := each asFilename components asArray.
			pathCollection := pathCollection copyFrom: 1 to: pathCollection size - 1.
			targetString := (Filename splitExtension: each asFilename tail) first.
			aCollection add: each -&gt; (Array with: pathCollection with: targetString)].
	JunControlUtility
		assert: 
			[aFilename := toDirectory construct: 'index.html'.
			(aFilename withEncoding: self class defaultEncoding) writeStream]
		do: 
			[:aStream |
			aStream nextPutAll: (self headerString: 'Index').
			aCollection with: (1 to: aCollection size)
				do: 
					[:each :no |
					| aString theString |
					aString := no printString.
					aCollection size printString size - aString size timesRepeat: [aString := ' ' , aString].
					aStream nextPutAll: '&lt;a name="line.'.
					aStream nextPutAll: no printString.
					aStream nextPutAll: '"&gt;'.
					aStream nextPutAll: aString.
					aStream nextPutAll: '&lt;/a&gt;: '.
					theString := String new.
					each value first do: 
							[:it |
							aString := JunStringUtility htmlCanonicalString: it , '.'.
							aStream nextPutAll: aString.
							theString := theString , aString].
					aStream nextPutAll: '&lt;a name="'.
					aStream nextPutAll: theString , each value last.
					aStream nextPutAll: '" href="'.
					aStream nextPutAll: each key.
					aStream nextPutAll: '"&gt;'.
					aString := JunStringUtility htmlCanonicalString: each value last.
					aStream nextPutAll: aString.
					aStream nextPutAll: '&lt;/a&gt;'.
					aStream cr].
			aStream nextPutAll: self footerString.
			Transcript
				cr;
				nextPutAll: '(JunURL browse: ';
				nextPutAll: aFilename asURI asString printString;
				nextPutAll: ')';
				flush]
		ensure: [:aStream | aStream close]</body>
</methods>

<methods>
<class-id>KSU.TextDoclet</class-id> <category>converting</category>

<body package="KSU-Tool" selector="headerString:">headerString: titleString

	^'&lt;!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"&gt;
&lt;html lang="ja"&gt;
&lt;head&gt;
&lt;meta http-equiv="Content-Type" content="text/html; charset=UTF-8"&gt;
&lt;meta http-equiv="Content-Style-Type" content="text/css"&gt;
&lt;link rev="made" href="http://www.cc.kyoto-su.ac.jp/~atsushi/"&gt;
&lt;link rel="index" href="index.html"&gt;
&lt;style type="text/css"&gt;
&lt;!--
body {
     background-color : #ffffff;
     margin : 20px;
     padding : 10px;
     font-family : serif;
     font-size : 10pt;
}
--&gt;
&lt;/style&gt;
&lt;title&gt;'
		, titleString , '&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;pre&gt;
'</body>

<body package="KSU-Tool" selector="footerString">footerString

	^'&lt;/pre&gt;
&lt;hr&gt;
&lt;p&gt;This document was generated by '
		, self class fullName
		, ' on ' , JunCalendarModel stringFromDate
		, ' at ' , JunCalendarModel stringFromTime
		, '.&lt;/p&gt;
&lt;/body&gt;
&lt;/html&gt;
'</body>

<body package="KSU-Tool" selector="convert:to:">convert: sourceFilename to: destinationFilename

	| fromStream aCollection aString toStream aStream |
	JunControlUtility
		assert: 
			[fromStream := (sourceFilename withEncoding: self class defaultEncoding) readStream.
			aCollection := OrderedCollection new]
		do: 
			[Cursor read showWhile: 
					[[fromStream atEnd not] whileTrue: 
							[aString := JunStringUtility getLine: fromStream.
							aCollection add: aString]]]
		ensure: [fromStream close].
	JunControlUtility
		assert: [toStream := (destinationFilename withEncoding: self class defaultEncoding) writeStream]
		do: 
			[Cursor write showWhile: 
					[toStream nextPutAll: (self headerString: (Filename splitExtension: destinationFilename tail) first).
					aCollection with: (1 to: aCollection size)
						do: 
							[:each :no |
							aString := no printString.
							aCollection size printString size - aString size timesRepeat: [aString := ' ' , aString].
							toStream nextPutAll: '&lt;a name="line.'.
							toStream nextPutAll: no printString.
							toStream nextPutAll: '"&gt;'.
							toStream nextPutAll: aString.
							toStream nextPutAll: '&lt;/a&gt;: '.
							aString := JunStringUtility htmlCanonicalString: each.
							aStream := String new writeStream.
							aString do: 
									[:aCharacter |
									aCharacter = Character tab
										ifTrue: [self class defaultTabStop timesRepeat: [aStream nextPut: Character space]]
										ifFalse: [aStream nextPut: aCharacter]].
							aString := aStream contents.
							toStream nextPutAll: aString].
					toStream nextPutAll: self footerString]]
		ensure: [toStream close]</body>
</methods>

<methods>
<class-id>KSU.TextDoclet</class-id> <category>private</category>

<body package="KSU-Tool" selector="fromDirectory:textFiles:toDirectory:">fromDirectory: sourceDirectory textFiles: fileCollection toDirectory: destinationDirectory

	fromDirectory := sourceDirectory.
	textFiles := fileCollection.
	toDirectory := destinationDirectory</body>
</methods>



<bundle-structure>
<name>KSU</name> <structure>#(#(#package 'KSU-System') #(#package 'KSU-Example') #(#package 'KSU-Synapse') #(#package 'KSU-Shell') #(#package 'KSU-Tool'))</structure>
</bundle-structure>

</st-source>
